# Releases (2016)

Here is the list of official releases made during the year 2016. A similar list for 2015 is also available.

It is also possible to just use the GIT version or snapshot, contact the mailing list and check the GIT log to gauge progress.

### v1.3.5: Jun 04 2016

- Features:
  admin: Introduce virAdmClientGetInfo API (Erik Skultety),
  Various improvement on bhyve driver (Roman Bogorodskiy, Fabian Freyer),
  Various improvement on libxl driver (Jim Fehlig, Chunyan Liu)
- Documentation:
  Refresh po files from zanata (Daniel P. Berrange),
  cpu: Fix documentation of cpuGetModels (Jiri Denemark),
  docs: fix <spice><gl enable> since version (Ján Tomko),
  docs: formatdomain: document virtio-mmio device addresses (Cole Robinson),
  schemas: Improve outdated comment (Christophe Fergeau),
  docs: Fix disk "volume" description (John Ferlan),
  docs: fix version number in vlan tagging documentation (Laine Stump),
  tools: virt-host-validate: fix missing translation marker (Bjoern Walk),
  docs: Reformat the Controllers description (John Ferlan),
  docs: clarify disk iothread support (John Ferlan),
  docs: align spelling of S390 (Boris Fiuczynski)
- Portability:
  virDomainChrGetDomainPtrsInternal: Return an integer (Michal Privoznik),
  virSocketAddrIsPrivate: Work on 32bits platforms (Michal Privoznik),
  makefile: fix build on systems where gnutls is not in /usr/include (Pavel Hrdina),
  util: fix build without GNUTLS (Mikhail Feoktistov),
  tests: qemu: test <address type='pci'/> with aarch64 (Cole Robinson),
  tests: Link virtestmock with probes (Michal Privoznik),
  libvit.spec.in: Add missing BuildRequires against sheepdog (Daniel P. Berrange),
  libvirt.spec.in: remove client only build option (Daniel P. Berrange),
  uml: only build on Linux (Roman Bogorodskiy),
  virNetServerClientNewPostExecRestart: Avoid align problems (Michal Privoznik),
  build: fix 32-bit build of admin (Eric Blake)
- Bug Fixes:
  Fix building with -Og (Martin Kletzander),
  virPerfEventIsEnabled: Don't crash on shut off domains (Michal Privoznik),
  virDomainFormatSchedDef: Avoid false positive NULL dereference (Michal Privoznik),
  ppc64Compute: Avoid possible NULL dereference (Michal Privoznik),
  network: restart dnsmasq after adding/removing txt and srv records (Laine Stump),
  QXL: fix reloading of vram64 attribute (Pavel Hrdina),
  esxStorageVolGetXMLDesc: Lookup SCSI lun properly (Michal Privoznik),
  qemuMonitorTextGetAllBlockStatsInfo: Fix line validation (Michal Privoznik),
  lxc: Fix virLXCDomainObjBeginJob position in lxcDomainSetMemoryParameters (Katerina Koukiou),
  esx: do not store escaped password in esxVI_Context. (Dawid Zamirski),
  qemu: Fix error message when PCI bridge has index <= bus (Andrea Bolognani),
  daemon: cleanup state drivers in order reverse to init order (Nikolay Shirokovskiy),
  esx: use newer virtualHW version for 5.1+ hosts (Dawid Zamirski),
  esx: Add VMCI device for virtualHW >= 7 (Dawid Zamirski),
  esx: use lsilogic adapter type in vol create. (Dawid Zamirski),
  libxl: default to qemu driver for network disks (Jim Fehlig),
  lxc: Fix lxcDomainDestroyFlags endjob processing (John Ferlan),
  qemu: Remove unused persistentAddrs (John Ferlan),
  xenconfig: xm: check for driver on disk format (Joao Martins),
  nwfilter: fix lock order deadlock (Maxim Nestratov),
  maint: fix syntax-check sc_prohibit_int_ijk exclude rule (Pavel Hrdina),
  vz: add error code for case if vm is already stopped (Mikhail Feoktistov),
  storage: do not clear vols before volume upload (Ján Tomko),
  util: Fix error path for virPCIGetVirtualFunctions (John Ferlan),
  tests: Add forgotten backslash (Michal Privoznik),
  qemu: bulk stats: Don't access possibly blocked storage (Peter Krempa),
  qemu_cgroup: allow access to /dev/dri for virtio-vga (Ján Tomko),
  Revert "qemu_hotplug: fix checking graphics ports" (Pavel Hrdina),
  util: Remove disabling of autologin for iscsi-targets (Fritz Elfert),
  xenFormatNet: correct `type=netfront' to 'type=vif' to match libxl (Chunyan Liu),
  libxl: Free migration cookie (John Ferlan),
  qemu: command: Use -name guest= if available (Cole Robinson),
  qemu: command: escape commas in chardev socket path (Cole Robinson),
  qemu: command: escape commas in VNC socket path (Cole Robinson),
  qemu: command: escape commas in secret master path (Cole Robinson),
  qemu: command: escape commas in VM name (Cole Robinson),
  admin: Fix passing an incorrect readonly attribute to virNetServerServiceNew (Erik Skultety),
  cpuGetModels: Fix memory leak on error (Jiri Denemark),
  libxl: don't attempt to probe a non-existent emulator (Jim Fehlig),
  network: log error when <bandwidth> is requested for hostdev interfaces (Laine Stump),
  Call per-device post-parse callback even on implicit video (Ján Tomko),
  util: Fix virGetLastErrorMessage to return proper error when 'err' is NULL (Erik Skultety),
  storage: Fix virStorageBackendDiskDeleteVol for device mapper (John Ferlan),
  storage: Fix algorithm generating path names for devmapper (John Ferlan),
  storage: Need to clear pool prior to calling the refreshPool (John Ferlan),
  storage: Fix regression cloning volume into a logical pool (John Ferlan),
  conf: log error when incorrect PCI root controller is added to domain (Laine Stump),
  conf: don't redefine virDomainCapsDeviceHostdev (Roman Bogorodskiy),
  conf: Fix error path in virNodeDevPCICapabilityParseXML (John Ferlan),
  util: polkit: Fix polkit agent startup (Peter Krempa),
  qemu: domain: Don't treat unknown storage type as not having backing chain (Peter Krempa),
  qemu: Reject invalid block copy targets for <disk device='lun'> (Peter Krempa),
  lxc: Fix wrong error message on disk hotplug (Peter Krempa),
  domain_conf: fix migration/managedsave with usb keyboard (Pavel Hrdina),
  qemu: Refresh RTC adjustment on qemuProcessReconnect (Michal Privoznik),
  qemu: fix error message for default panic device (Boris Fiuczynski),
  fdstream: don't raise error on SIGPIPE if abort requested (Cole Robinson),
  daemon: stream: Don't force error when client aborts (Cole Robinson),
  daemon: stream: set stream->closed on removal (Cole Robinson),
  daemon: stream: don't update events if stream->closed (Cole Robinson),
  daemon: stream: Close stream on send failure (Cole Robinson),
  fdstream: Raise explicit error when iohelper gets SIGPIPE (Cole Robinson),
  nwfilter: Save config to disk if we generated a UUID (Cole Robinson),
  nwfilter: Fix potential locking problems on ObjLoad failure (Cole Robinson),
  network: Fix segfault on daemon reload (Cole Robinson),
  send default USB controller in xml to destination during migration (Shivaprasad G Bhat),
  conf: storage: pool: reject name containing '/' (Cole Robinson),
  conf: network: reject name containing '/' (Cole Robinson),
  conf: domain: reject name containing '/' (Cole Robinson),
  qemu: hotplug: Fix possible memory leak of props (John Ferlan),
  qemu: process: Fix failure semantics for perf events (Peter Krempa),
  qemu: process: Refresh ejectable media tray state on VM start (Peter Krempa),
  tools: Fix connect command (Martin Kletzander)
- Improvements:
  Drop virPerfGetEventFd (Michal Privoznik),
  virNetDevBridgeGet: Don't require users to virNetDevSetupControl (Michal Privoznik),
  apibuild: Substitute only pure number tokens (Michal Privoznik),
  build: use gnulib's unsetenv (Michal Privoznik),
  Turn 1<<31 into 1U<<31 (Michal Privoznik),
  docs: Teach apibuild to deal with (1U << 31) too (Michal Privoznik),
  maint: update to latest gnulib (Eric Blake),
  spec: Advertise nvram paths of official fedora edk2 builds (Cole Robinson),
  maint: update to latest gnulib (Eric Blake),
  esx: add pciBridge devices when SCSI is used (Dawid Zamirski),
  conf: permit auto-assignment of controller indexes (Laine Stump),
  conf: make virDomainControllerFindUnusedIndex() more generally usable (Laine Stump),
  conf/qemu: make IS_USB2_CONTROLLER globally available (Laine Stump),
  libxl: add .domainInterfaceAddresses (Chunyan Liu),
  security: label the slic_table (Ján Tomko),
  qemu: format SLIC ACPI table command line (Ján Tomko),
  conf: add <acpi><table> to <os> (Ján Tomko),
  qemucapstest: replace caps-1.6.50 with updated caps-1.7.0 (Pavel Hrdina),
  qemu: Remove virDomainLiveConfigHelperMethod from qemuDomainSetSchedulerParametersFlags (Peter Krempa),
  qemu: Remove virDomainLiveConfigHelperMethod from qemuDomainSetBlockIoTune (Peter Krempa),
  qemu: Refactor qemuDomainGetSchedulerParametersFlags (Peter Krempa),
  conf: Change virDomainCputune member 'shares' to unsigned long long (Peter Krempa),
  qemu: Remove virDomainLiveConfigHelperMethod from qemuDomainGetSchedulerParametersFlags (Peter Krempa),
  qemu: Refactor qemuDomainGetBlkioParameters (Peter Krempa),
  qemu: Remove virDomainLiveConfigHelperMethod from qemuDomainGetBlkioParameters (Peter Krempa),
  qemu: Remove virDomainLiveConfigHelperMethod from qemuDomainSetMemoryParameters (Peter Krempa),
  qemu: Refactor typed params assignment in qemuDomainGetBlockIoTune (Peter Krempa),
  qemu: Replace virDomainLiveConfigHelperMethod in qemuDomainGetBlockIoTune (Peter Krempa),
  qemu: monitor: Remove 'supportMaxOptions' argument from qemuMonitorGetBlockIoThrottle (Peter Krempa),
  qemu: driver: Allow disk update of startupPolicy/snapshot for all disks (Peter Krempa),
  qemu: driver: Move around code to avoid need to rollback (Peter Krempa),
  Call qemuDomainObjEndJob when qemuCaps is null during hotplug (Shivaprasad G Bhat),
  Unref the cfg in qemuDomainAttachHostPCIDevice() (Shivaprasad G Bhat),
  qemu: Remove dead code (John Ferlan),
  conf: nodedev: Set PCI_PHYSICAL_FUNCTION flag more carefully (Andrea Bolognani),
  pci: Fix virPCIGetPhysicalFunction()'s callers (Andrea Bolognani),
  pci: Document virPCIGetPhysicalFunction() (Andrea Bolognani),
  pci: Initialize return location in virPCIGetPhysicalFunction() (Andrea Bolognani),
  qemu: hotplug: wait for the tray to eject only for drives with a tray (Peter Krempa),
  qemu: hotplug: Fix error reported when cdrom tray is locked (Peter Krempa),
  qemu: hotplug: Extract code for waiting for tray eject (Peter Krempa),
  qemu: process: Fix and improve disk data extraction (Peter Krempa),
  qemu: Move and rename qemuDomainCheckEjectableMedia to qemuProcessRefreshDisks (Peter Krempa),
  qemu: Extract more information about qemu drives (Peter Krempa),
  qemu: Move struct qemuDomainDiskInfo to qemu_domain.h (Peter Krempa),
  lxc: support <interface type='ethernet'> (Laine Stump),
  lxc: completely rework reference counting (Katerina Koukiou),
  lxc: use job functions in lxcDomainLxcOpenNamespace & lxcDomainSendProcessSignal (Katerina Koukiou),
  qemucapstest: update caps for qemu-2.6.0 (Pavel Hrdina),
  qemucapstest: update caps for qemu-2.5.0 (Pavel Hrdina),
  qemucapstest: update caps for qemu-2.4.0 (Pavel Hrdina),
  qemucapstest: update caps for qemu-2.1.1 (Pavel Hrdina),
  qemucapstest: update caps for qemu-1.6.0 (Pavel Hrdina),
  qemucapstest: update caps for qemu-1.5.3 (Pavel Hrdina),
  qemucapstest: update caps for qemu-1.4.2 (Pavel Hrdina),
  qemucapstest: update caps for qemu-1.3.1 (Pavel Hrdina),
  qemucapstest: update caps for qemu-1.2.2 (Pavel Hrdina),
  qemuxml2argvtest: skip test that depends on gnutls_cipher_encrypt() (Pavel Hrdina),
  storage: Replace VIR_ERROR with standard vir*Error in state driver init (Jovanka Gulicoska),
  nwfilter: Replace VIR_ERROR with standard vir*Error in state driver init (Jovanka Gulicoska),
  libxl: Replace VIR_ERROR with standard vir*Error in state driver init (Jovanka Gulicoska),
  bhyve: Replace VIR_ERROR with standard vir*Error in state driver init (Jovanka Gulicoska),
  qemu: simplify addition of USB controller in qemuParseCommandLine (Laine Stump),
  Deprecate QEMU_CAPS_PCIDEVICE (Ján Tomko),
  Deprecate QEMU_CAPS_DEVICE (Ján Tomko),
  Deprecate QEMU_CAPS_DRIVE_READONLY (Ján Tomko),
  qemu: always assume QEMU_CAPS_DRIVE_READONLY (Ján Tomko),
  tests: always assume QEMU_CAPS_DRIVE_READONLY (Ján Tomko),
  tests: remove <readonly/> from IDE disks (Ján Tomko),
  tests: remove disk-drive-fat test (Ján Tomko),
  qemu: assume QEMU_CAPS_DEVICE almost everywhere (Ján Tomko),
  qemu_command: assume QEMU_CAPS_DEVICE (Ján Tomko),
  qemu: auto-assign addresses when <address type='pci'/> is specified (Laine Stump),
  bhyve: auto-assign addresses when <address type='pci'/> is specified (Laine Stump),
  conf: allow type='pci' addresses with no address attributes specified (Laine Stump),
  conf: new functions to check if PCI address is wanted/present (Laine Stump),
  conf: move virDomainDeviceInfo definition from domain_conf.h to device_conf.h (Laine Stump),
  virtestmock: Mock stat() properly (Michal Privoznik),
  tests: Drop VIR_MOCK_CALL_STAT (Michal Privoznik),
  qemu: Utilize qemu secret objects for RBD auth/secret (John Ferlan),
  tests: Allow multiple mock libraries (Peter Krempa),
  qemu: Introduce qemuDomainSecretSetup (John Ferlan),
  util: Introduce virCryptoGenerateRandom (John Ferlan),
  util: Introduce encryption APIs (John Ferlan),
  tests: Add mock for virRandomBytes (John Ferlan),
  qemu: parse: Handle suffixes for -m memory (Nishith Shah),
  qemu: parse: Use qemuParseCommandLineMem for -m memory (Nishith Shah),
  qemu_command: refactor spice channel code (Pavel Hrdina),
  qemu_process: separate graphics socket and address generation (Pavel Hrdina),
  graphics: resolve address for listen type network in qemu_process (Pavel Hrdina),
  qemu_command: move sasl parameter after port and addr definition (Pavel Hrdina),
  domain_conf: introduce virDomainGraphicsListenDefFormatAddr (Pavel Hrdina),
  graphics: rename gListen to glisten (Pavel Hrdina),
  tests: cleanup vnc auto socket test (Pavel Hrdina),
  qemu_domain: add a empty listen type address if we remove socket for VNC (Pavel Hrdina),
  cpu: Rework CPU map loading (Jiri Denemark),
  cpu_ppc64: Use array of models in CPU map (Jiri Denemark),
  cpu_ppc64: Use array of vendors in CPU map (Jiri Denemark),
  cpu_x86: Use array of features in CPU map (Jiri Denemark),
  cpu_x86: Use array of vendors in CPU map (Jiri Denemark),
  cpu_x86: Use array of models in CPU map (Jiri Denemark),
  Do not mask QEMU_CAPS_DEVICE in qemuBuildDriveStr (Ján Tomko),
  Introduce qemuDiskBusNeedsDeviceArg (Ján Tomko),
  Assume QEMU_CAPS_DEVICE in qemuBuildDiskDriveCommandLine (Ján Tomko),
  Remove DISK_BUS_XEN support from qemuBuildDiskDriveCommandLine (Ján Tomko),
  qemu: always add -nodefaults (Ján Tomko),
  qemu: process: Drop !QEMU_CAPS_DEVICE code (Cole Robinson),
  Remove qemuProcessInitPCIAddresses with dependencies (Ján Tomko),
  qemu: driver: Fix function header alignment of some functions (Peter Krempa),
  conf: disk: Rename virDomainDiskDefValidate to virDomainDiskDefParseValidate (Peter Krempa),
  util: Remove need for STATIC_ANALYSIS check (John Ferlan),
  util: Adjust return for virPCIGetDeviceAddressFromSysfsLink (John Ferlan),
  util: Remove need for ret in virPCIGetPhysicalFunction (John Ferlan),
  tests: nodeinfotest: Remove virSaveLastError() usage (Cole Robinson),
  More usage of virGetLastErrorMessage (Jovanka Gulicoska),
  tests: More usage of virGetLastErrorMessage() (Jovanka Gulicoska),
  lxc: use job functions in lxcDomain* functions that perform modify actions. (Katerina Koukiou),
  lxc: use job functions in lxcDomain* functions that do query operations. (Katerina Koukiou),
  lxc: add job functions in lxcDomainSetAutostart (Katerina Koukiou),
  lxc: use job functions in lxcDomain{AttachDeviceFlags, DetachDeviceFlags, UpdateDeviceFlags} (Katerina Koukiou),
  lxc: use job functions in lxcDomain{Suspend, Resume} (Katerina Koukiou),
  lxc: use job functions in lxcDomainSetMemoryFlags (Katerina Koukiou),
  lxc: use job functions in lxcDomain{CreateXMLWithFiles, CreateWithFiles} (Katerina Koukiou),
  lxc: Add job support to lxc driver (Katerina Koukiou),
  qemu: driver: Separate bulk stats worker for block devices (Peter Krempa),
  qemu: driver: Remove unnecessary flag in qemuDomainGetStatsBlock (Peter Krempa),
  perf: add support to perf event for MBM (Qiaowei Ren),
  Separate virDomainDefParseBootOptions (Ján Tomko),
  vz: cleanup: define vz format of uuids (Nikolay Shirokovskiy),
  vz: implement p2p migration (Nikolay Shirokovskiy),
  vz: implement managed migration (Nikolay Shirokovskiy),
  vz: fix const correctness case (Nikolay Shirokovskiy),
  vz: save session uuid on login (Nikolay Shirokovskiy),
  virt-admin: Introduce commands srv-clients-info and srv-clients-set (Erik Skultety),
  admin: Introduce virAdmServerSetClientLimits (Erik Skultety),
  admin: Introduce virAdmServerGetClientLimits (Erik Skultety),
  admin: Introduce some public constants related to server's client limits (Erik Skultety),
  virnetserver: Introduce server's client-related limits getters (Erik Skultety),
  qemu: address: Remove QEMU_CAPS_DEVICE usage (Cole Robinson),
  tests: qemuargv2xmltest: Drop disk for s390 aes tests (Cole Robinson),
  qemu: Call virDomainDefPostParse via CONFIG hotplug (Cole Robinson),
  qemu: Assign device addresses in PostParse (Cole Robinson),
  domain: Add virDomainDefAssignAddressesCallback (Cole Robinson),
  vz: drop prlsdkDomainHasSnapshots (Nikolay Shirokovskiy),
  vz: add domain snapshots functionality (Nikolay Shirokovskiy),
  iscsi: Remove initiatoriqn from virISCSIScanTargets (John Ferlan),
  iscsi: Add exit status checking for virISCSIGetSession (John Ferlan),
  util: Add exitstatus parameter to virCommandRunRegex (John Ferlan),
  tests: Try different usable GIC versions (Andrea Bolognani),
  tests: Prepare to have different usable GIC versions (Andrea Bolognani),
  qemu: Add virQEMUCapsSetGICCapabilities() (Andrea Bolognani),
  qemu: Automatically choose usable GIC version (Andrea Bolognani),
  qemu: Add virQEMUCapsSupportsGICVersion() (Andrea Bolognani),
  Change return value of VIR_APPEND*INPLACE* to void (Jiri Denemark),
  Remove virDomainRNGInsert (Jiri Denemark),
  xlconfigtest: add test case for type=vif in xl format (Chunyan Liu),
  extract XEN_CONFIG_FORMAT_XM/XL to xen_common.h (Chunyan Liu),
  bhyve: implement virConnectIsSecure (Fabian Freyer),
  bhyve: Implement virConnectIsEncrypted (Fabian Freyer),
  spec: Remove %defattr usage (Cole Robinson),
  Revert "vz: handle sourceless cdroms" (Maxim Nestratov),
  qemu: hotplug: Report error if we hit tray status timeout (Cole Robinson),
  admin: include: Rename argument dmn to conn in virAdmConnectListServers (Erik Skultety),
  vz: make error path code idiomatic (Nikolay Shirokovskiy),
  vz: fix template ct creation (Mikhail Feoktistov),
  vz: fix error message for readonly fs (Nikolay Shirokovskiy),
  vz: handle sourceless cdroms (Mikhail Feoktistov),
  vz: fix vzCheckUnsupportedDisks format checks for cdroms (Nikolay Shirokovskiy),
  vz: remove check for auto file format for disks (Nikolay Shirokovskiy),
  domain_conf: cleanup virDomainGraphicsListenDefParseXML (Pavel Hrdina),
  graphics: make address attribute for listen type='address' optional (Pavel Hrdina),
  domain_conf: parse listen attribute while parsing listen elements (Pavel Hrdina),
  graphics: don't parse listens if socket attribute is present (Pavel Hrdina),
  conf: Allow all volume modes for disk type='lun' sources (Peter Krempa),
  qemu: Drop QEMU_CAPS_VIRTIO_BLK_SG_IO (Andrea Bolognani),
  qemu: Drop QEMU_CAPS_CPU_HOST (Andrea Bolognani),
  qemu: Drop QEMU_CAPS_PCI_ROMBAR (Andrea Bolognani),
  qemu: More qemu_monitor_json cleanups (John Ferlan),
  bhyve: implement virConnectIsAlive (Fabian Freyer),
  qemu: command: Add qemuBufferEscapeComma (Cole Robinson),
  qemu: alias: Remove QEMU_CAPS_DEVICE (Cole Robinson),
  cpu: Properly report errors when parsing CPU map XML (Jiri Denemark),
  cpu_x86: Check vendor early (Jiri Denemark),
  cpu_x86: Don't ignore parsing errors in x86ModelLoad (Jiri Denemark),
  cpu_x86: Don't ignore parsing errors in x86FeatureLoad (Jiri Denemark),
  cpu_x86: Don't ignore parsing errors in x86VendorLoad (Jiri Denemark),
  cpu_x86: Simplify insertions into a linked list (Jiri Denemark),
  cpu_x86: Remove comparisons to NULL (Jiri Denemark),
  cpu_x86: Use for loop in x86Decode (Jiri Denemark),
  cpu_x86: Rename cleanup labels (Jiri Denemark),
  cpu_x86: Compare CPU candidates in a separate function (Jiri Denemark),
  cpu_x86: Rename struct virCPUx86DataIterator (Jiri Denemark),
  cpu_x86: Rename enum compare_result (Jiri Denemark),
  cpu_x86: Rename struct x86_map (Jiri Denemark),
  cpu_x86: Rename struct x86_model (Jiri Denemark),
  cpu_x86: Rename struct x86_kvm_feature (Jiri Denemark),
  cpu_x86: Rename struct x86_feature (Jiri Denemark),
  cpu_x86: Rename struct x86_vendor (Jiri Denemark),
  qemu: command: Ignore QEMU_CAPS_DEVICE when building drive alias (Cole Robinson),
  cpu: Add support for clflushopt and tsc_adjust Intel features (Alexander Burluka),
  secret: Alter virSecretGetSecretString (John Ferlan),
  qemu: domain: Fix names for functions that clear security info (Peter Krempa),
  util: string: Introduce helper to determine whether a byte buffer is printable (John Ferlan),
  util: string: Introduce virStringEncodeBase64 (Peter Krempa),
  secret: util: Refactor virSecretGetSecretString (Peter Krempa),
  util: alloc: Introduce freeing helpers that clear the memory before freeing (Peter Krempa),
  capabilities: Advertise cpuselection if -cpu host is usable (Jiri Denemark),
  qemuaincapstest: Give better names to test data files (Jiri Denemark),
  domaincapstest: Give better names to test data files (Jiri Denemark),
  domaincapstest: Use arch strings (Jiri Denemark),
  tests: Introduce check-file-access.pl (Michal Privoznik),
  virtestmock: Print invalid file accesses into a file (Michal Privoznik),
  tests: Introduce global mock library (Michal Privoznik),
  virmock.h: Introduce VIR_MOCK_CALL_STAT (Michal Privoznik),
  securityselinuxhelper: Adapt to virmock.h (Michal Privoznik),
  nssmock: Adapt to virmock.h (Michal Privoznik),
  vircgroupmock: Adapt to virmock.h (Michal Privoznik),
  virpcimock: Adapt to virmock.h (Michal Privoznik),
  qemu: remove ATTRIBUTE_UNUSED in connectGetType (Fabian Freyer),
  bhyve: implement virConnectGetType (Fabian Freyer),
  xlconfigtests: use qemu-xen in all test data files (Jim Fehlig),
  virt-aa-helper: remove replace_string and use virStringReplace instead (Pavel Hrdina),
  virfile: Introduce virFileRemoveLastComponent (Michal Privoznik),
  leave out the default USB controller only on i440fx during migration (Shivaprasad G Bhat),
  qemu: domain: Fix name of macro defining AES IV length (Peter Krempa),
  qemu: Change from SecretIV or _IV to SecretAES or _AES (John Ferlan),
  Fix tests to include video ram size (Ján Tomko),
  Fill out default vram in DeviceDefPostParse (Ján Tomko),
  Move virDomainDefPostParseInternal after virDomainDeviceDefPostParse (Ján Tomko),
  spec: Fix broken indentation reported by syntax-check (Erik Skultety),
  libvirt.spec.in: remove all changelog entries (Daniel P. Berrange),
  libvirt.spec.in: use explicit --with-xxx for all features (Daniel P. Berrange),
  libvirt.spec.in: remove nss plugin conditional (Daniel P. Berrange),
  libvirt.spec.in: remove libnl conditional (Daniel P. Berrange),
  libvirt.spec.in: remove macvtap conditional (Daniel P. Berrange),
  libvirt.spec.in: remove libpcap conditional (Daniel P. Berrange),
  libvirt.spec.in: remove nwfilter driver conditional (Daniel P. Berrange),
  libvirt.spec.in: remove nodedev conditional (Daniel P. Berrange),
  libvirt.spec.in: remove most storage conditionals (Daniel P. Berrange),
  libvirt.spec.in: remove network driver conditiaonl (Daniel P. Berrange),
  libvirt.spec.in: remove interface driver conditional (Daniel P. Berrange),
  libvirt.spec.in: remove selinux conditional (Daniel P. Berrange),
  libvirt.spec.in: remove yajl conditional (Daniel P. Berrange),
  libvirt.spec.in: remove polkit conditional (Daniel P. Berrange),
  libvirt.spec.in: remove sasl conditionals (Daniel P. Berrange),
  libvirt.spec.in: remove dtrace conditional (Daniel P. Berrange),
  libvirt.spec.in: remove audit conditional (Daniel P. Berrange),
  libvirt.spec.in: remove netcf conditional (Daniel P. Berrange),
  libvirt.spec.in: remove udev conditional (Daniel P. Berrange),
  libvirt.spec.in: remove capng conditional (Daniel P. Berrange),
  libvirt.spec.in: remove apparmor conditional (Daniel P. Berrange),
  libvirt.spec.in: remove hal conditional (Daniel P. Berrange),
  libvirt.spec.in: remove avahi conditional (Daniel P. Berrange),
  libvirt.spec.in: remove libvirtd conditional (Daniel P. Berrange),
  libvirt.spec.in: remove conditional for driver modules (Daniel P. Berrange),
  libvirt.spec.in: drop Fedora < 20 and RHEL < 6 (Daniel P. Berrange),
  libvirt.spec.in: explicitly disable xenapi & vz drivers (Daniel P. Berrange),
  headers: Remove unnecessary keyword extern from function declaration (Erik Skultety),
  conf: make virDomainDefAddController() public (Laine Stump),
  libxl: support migration stream V2 in migration (Jim Fehlig),
  libxl: support Xen migration stream V2 in save/restore (Jim Fehlig),
  libxl: switch to using libxl_domain_create_restore from v4.4 API (Jim Fehlig),
  qemu: Add extra checks for secret destroy API's (John Ferlan),
  util: set vlan tag for macvtap passthrough mode on SRIOV VFs (Laine Stump),
  seclabeltest: Update to use VIRT_TEST_MAIN (Michal Privoznik),
  virt-admin: Introduce client-disconnect command (Erik Skultety),
  admin: Introduce virAdmClientClose API (Erik Skultety),
  admin: Remove flags checking from virAdmConnectOpen public API (Erik Skultety),
  admin: Remove flags checking from public API entry points (Erik Skultety),
  qemu_hotplug: fix checking graphics ports (Pavel Hrdina),
  qemu_process: merge graphics code into qemuProcessSetupGraphics (Pavel Hrdina),
  graphics: generate fake ports also for tests (Pavel Hrdina),
  qemu_process: separate graphics port reservation (Pavel Hrdina),
  configure: split out UML driver checks (Roman Bogorodskiy),
  admin: Clean up error path in adminServerListClients (John Ferlan),
  Use virGetLastErrorMessage to avoid Coverity message (John Ferlan),
  qemu: command: unconditionally allow accel3d='no' (Cole Robinson),
  domaincaps: Report video modelType (Cole Robinson),
  domaincaps: Report graphics type enum (Cole Robinson),
  qemu: command: Remove unnecessary label in qemuCheckDiskConfig (Peter Krempa),
  conf: Kill now unused virDomainDiskSourceIsBlockType (Peter Krempa),
  qemu: command: Use more appropriate checking function for block devices (Peter Krempa),
  qemu: Support <disk device='lun'> for iSCSI direct mapped volumes (Peter Krempa),
  util: Replace virDomainDiskSourceIsBlockType with a new helper (Peter Krempa),
  qemu_monitor_json: Follow refactor (Michal Privoznik),
  virsh: blkdeviotune: accept human readable values for bytes (Nishith Shah),
  genericxml2xml: add several graphics tests (Pavel Hrdina),
  qemu_hotplug: cleanup error messages in qemuDomainChangeGraphics (Pavel Hrdina),
  qemu_process: handle port allocation for VNC the same way as for Spice (Pavel Hrdina),
  qemu_process: move listen code out of qemuProcessSetupGraphics (Pavel Hrdina),
  graphics: use enums instead of int (Pavel Hrdina),
  virCgroupValidateMachineGroup: Reflect change in CGroup struct naming (Michal Privoznik),
  domaincapstest: Add tests for QEMU 2.6 (Jiri Denemark),
  qemucapabilitiestest: Add tests for aarch64 and ppc64le (Jiri Denemark),
  domaincapstest: Use default machine type (Jiri Denemark),
  qemucapabilitiestest: Rename *.caps to *.xml (Jiri Denemark),
  qemucapabilitiestest: Test all capabilities (Jiri Denemark),
  qemucapabilitiestest: Reorder flags in caps files (Jiri Denemark),
  qemucapabilitiestest: Reindent *.caps files (Jiri Denemark),
  qemucapabilitiestest: Uses consistent names (Jiri Denemark),
  qemu: Export caps cache APIs for tests (Jiri Denemark),
  qemu: Separate formatting from saving into caps cache (Jiri Denemark),
  qemucapabilitiestest: Prepare for testing non-x86_64 archs (Jiri Denemark),
  tests: Refactor domaincapstest (Jiri Denemark),
  qemu: Introduce qemuDomainSecretIV (John Ferlan),
  qemu: Separate network URI command building code (John Ferlan),
  qemu: Move qemuDomainSecretDestroy to qemuProcessLaunch (John Ferlan),
  qemu: Move qemuDomainSecretPrepare to qemuProcessPrepareDomain (John Ferlan),
  qemu: Split out the master key create and write (John Ferlan),
  qemu: Adjust names of qemuDomainSecretInfoType enums (John Ferlan),
  rpc: use virNetMessageClearPayload in client (Cole Robinson),
  rpc: Clear more in virNetMessageClearPayload (Cole Robinson),
  rpc: Add virNetMessageClearPayload (Cole Robinson),
  virNetServerClientNewPostExecRestart: Drop useless typecasts (Michal Privoznik),
  Add qemucapsprobe in .gitignore (Jiri Denemark),
  tests: Add qemucapsprobe helper (Jiri Denemark),
  virjson: Make pretty format more compact (Jiri Denemark),
  qemu: Make qemuMonitorJSONIOProcessLine available for tests (Jiri Denemark),
  qemu: Make virQEMUCapsNewForBinary usable from tests (Jiri Denemark),
  tests: Decouple preload code from main() (Jiri Denemark),
  tests: Create a shared library with qemu driver (Jiri Denemark),
  bhyve: implement domainShutdown (Roman Bogorodskiy),
  bhyve: drop virProcessKillPainfully() from destroy (Roman Bogorodskiy),
  virsh: Pass the correct live/config xml to virshDomainDetachInterface. (Nitesh Konkar),
  virsh: Introduce virshDomainDetachInterface function (Nitesh Konkar),
  admin: Add a check to reject negative argument for number of typed params (Erik Skultety),
  tools: virt-host-validate: HW virt support on s390 (Bjoern Walk),
  tools: virt-host-validate: improve error handling (Bjoern Walk),
  tools: virt-host-validate: fix CPU flag detection (Bjoern Walk),
  qemu: Add 'iothread' to command line for supported controller (John Ferlan),
  qemu: Use switch for qemuCheckIOThreads (John Ferlan),
  conf: Add support for virtio-scsi iothreads (John Ferlan),
  Pull latest translations from zanata (Daniel P. Berrange),
  libvirt.spec: remove duplicate files from -docs package (Daniel P. Berrange),
  virsh: volume: Add --bytes to 'vol-info' (Peter Krempa),
  daemon: Add VIR_ERR_NO_SERVER and VIR_ERR_NO_CLIENT to daemonErrorLogFilter (Erik Skultety),
  conf: Move virDomainControllerModelTypeToString (John Ferlan),
  qemu: Add capability for virtio-scsi iothreads (John Ferlan),
  spec: Rename %{init_scripts} -> %{with_init_script} (Andrea Bolognani),
  spec: Type --with-init-script correctly (Andrea Bolognani),
  configure: Remove nested conditionals in LIBVIRT_CHECK_INIT_SCRIPT (Andrea Bolognani),
  configure: Change RHEL default from systemd+redhat to systemd (Andrea Bolognani),
  maint: Ignore all .init, .service and .socket files (Andrea Bolognani),
  virt-admin: Introduce command client-info (Erik Skultety),
  virnetserverclient: Add an internal method to retrieve client's identity (Erik Skultety),
  virneserverclient: Introduce virNetServerClientHasSASLSession (Erik Skultety),
  virnetsocket: Provide socket address format in a more standard form (Erik Skultety),
  admin: include: Introduce some client's identity related typed params macros (Erik Skultety),
  admin: Introduce virAdmServerLookupClient (Erik Skultety),
  qemu_monitor_json: Follow our coding style (Michal Privoznik),
  maint: Don't ignore libvirtd.pod any longer (Andrea Bolognani),
  gitignore: ignore virt(log|lock)d.(service|socket) (Cole Robinson),
  daemon: add option to read host uuid from /etc/machine-id (Nikolay Shirokovskiy),
  util: factor out reading file into preallocated buffer (Nikolay Shirokovskiy),
  qemu: support configuring usb3 controller port count (Cole Robinson),
  qemu: caps: introduce QEMU_CAPS_NEC_USB_XHCI_PORTS (Cole Robinson),
  qemu: parse: Use virControllerDefNew (Cole Robinson),
  qemu_monitor_json: Drop redundant checks (Michal Privoznik),
  qemuMonitorJSONQueryRxFilter: Validate qemu reply prior parsing it (Michal Privoznik),
  Remove useless os.machine NULL check (Ján Tomko),
  Introduce qemuDomainMachineIsVirt (Ján Tomko),
  Rewrite the condition in qemuDomainAssignARMVirtioMMIOAddresses (Ján Tomko),
  Remove useless variable in qemuDomainAssignAddresses (Ján Tomko),
  Return void in qemuDomainAssignARMVirtioMMIOAddresses (Ján Tomko),
  Invert condition in qemuDomainDefAddDefaultDevices (Ján Tomko),
  Use qemuDomainMachineIs helpers when adding default devices (Ján Tomko),
  qemu: Introduce qemuMonitorGetRTCTime (Michal Privoznik),
  virt-admin: Introduce srv-clients-list command (Erik Skultety),
  admin: Introduce listing clients (Erik Skultety),
  rpc: virnetserverclient: Implement client connection transport retrieval (Erik Skultety),
  include: admin: export connection transport constants (Erik Skultety),
  rpc: virnetserver: Support retrieval of a list of clients (Erik Skultety),
  rpc: gendispatch: Tune it to support client structure (Erik Skultety),
  admin: Introduce virAdmClient client-side object (Erik Skultety),
  rpc: virnetserverclient: Introduce new attribute conn_time to client (Erik Skultety),
  rpc: virnetserverclient: Identify clients by an integer ID (Erik Skultety),
  configure: Introduce LIBVIRT_{CHECK,RESULT}_INIT_SCRIPT (Andrea Bolognani),
  configure: Add systemd detection to --with-init-script=check (Andrea Bolognani),
  configure: Improve --with-init-script=check (Andrea Bolognani),
  tests: add tests for panic device model s390 (Boris Fiuczynski),
  qemu: add default panic device to S390 guests (Boris Fiuczynski),
  qemu: add panic device support for S390 (Boris Fiuczynski),
  qemu: merge S390 and S390X default device creation (Boris Fiuczynski),
  rpc: protocol: Clarify VIR_NET_ERROR usage with streams (Cole Robinson),
  fdstream: Report error with virProcessTranslateStatus (Cole Robinson),
  fdstream: separate out virCommandPtr cleanup (Cole Robinson),
  nwfilter: Push configFile building into LoadConfig (Cole Robinson),
  conf: format runtime DAC seclabel, unless MIGRATABLE (Cole Robinson),
  conf: Parse more of our nodedev XML (Martin Kletzander),
  schemas: Update nodedev schema to match reality (Martin Kletzander),
  Move capability formatting together (Martin Kletzander),
  Change virDevicePCIAddress to virPCIDeviceAddress (Martin Kletzander),
  qemu: hotplug: Adjust error path for attach hostdev scsi disk (John Ferlan),
  qemu: hotplug: Adjust error path for attach virtio disk (John Ferlan),
  qemu: hotplug: Adjust error path for attach scsi disk (John Ferlan),
  qemu: Use qemuDomainSecretInfoPtr in qemuBuildNetworkDriveURI (John Ferlan),
  qemu: Introduce qemuDomainSecretHostdevPrepare and Destroy (John Ferlan),
  qemu: Introduce qemuDomainHostdevPrivatePtr (John Ferlan),
  qemu: Introduce qemuDomainSecretPrepare and Destroy (John Ferlan),
  qemu: Introduce qemuDomainSecretInfo (John Ferlan),
  Adapt augeas profile to handle negative int values. (Cédric Bosdonnat),
  qemu: monitor: Kill legacy PCI hotplug code (Peter Krempa),
  qemu: hotplug: Assume QEMU_CAPS_DEVICE in qemuDomainAttachControllerDevice (Peter Krempa),
  qemu: hotplug: Assume QEMU_CAPS_DEVICE in qemuDomainDetachNetDevice (Peter Krempa),
  qemu: hotplug: Assume QEMU_CAPS_DEVICE in qemuDomainDetachHostPCIDevice (Peter Krempa),
  qemu: hotplug: Assume QEMU_CAPS_DEVICE in qemuDomainDetachControllerDevice (Peter Krempa),
  qemu: hotplug: Assume QEMU_CAPS_DEVICE in qemuDomainDetachVirtioDiskDevice (Peter Krempa),
  qemu: hotplug: Assume QEMU_CAPS_DEVICE in qemuDomainAttachHostPCIDevice (Peter Krempa),
  qemu: hotplug: Assume QEMU_CAPS_DEVICE in qemuDomainAttachNetDevice (Peter Krempa),
  qemu: hotplug: Assume QEMU_CAPS_DEVICE in qemuDomainAttachVirtioDiskDevice (Peter Krempa),
  qemu: monitor: Kill legacy USB monitor code (Peter Krempa),
  qemu: hotplug: Assume QEMU_CAPS_DEVICE in qemuDomainAttachHostUSBDevice (Peter Krempa),
  qemu: hotplug: Assume QEMU_CAPS_DEVICE in qemuDomainAttachUSBMassStorageDevice (Peter Krempa),
  qemu: remove default case from few typecasted enums (Peter Krempa),
  qemu: process: Don't needlesly clear the perf events in qemuDomainPerfRestart (Peter Krempa),
  util: perf: Adhere to coding style of error checks in qemuDomainSetPerfEvents (Peter Krempa),
  util: perf: Adhere to coding style of error checks in virPerfEventEnable (Peter Krempa),
  util: perf: Use 'error' label in virPerfCmtEnable (Peter Krempa),
  qemu: perf: Don't ignore perf setup if allocation fails (Peter Krempa),
  qemu: hotplug: Allow update of disk default snapshot location (Peter Krempa),
  qemu: domain: Check few more fields for when changing disk source (Peter Krempa),
  qemu: domain: Fix error message in qemuDomainDiskChangeSupported (Peter Krempa),
  qemu: hotplug: Skip waiting for tray opening if qemu doesn't notify us (Peter Krempa),
  virStream{Recv,Send}All: Increase client buffer (Michal Privoznik),
  virnetclientstream: Process stream messages later (Michal Privoznik),
  Revert "rpc: Fix slow volume download (virsh vol-download)" (Michal Privoznik),
  Post-release version bump to 1.3.5 (John Ferlan)
- Cleanups:
  Revert "qemu_cgroup: allow access to /dev/dri for virtio-vga" (Ján Tomko)

### v1.3.4: May 01 2016

- Features:
  Lot of work on documentation (Andrea Bolognani, Cole Robinson),
  Add support for migration data compression (ShaoHe Feng, Nikolay Shirokovskiy, Eli Qiao)
- Documentation:
  Fix minor typos in messages (Yuri Chornoivan),
  docs: Pass relative paths to apibuild.py (Andrea Bolognani),
  man: Fix links (Andrea Bolognani),
  man: Fix SYNOPSIS section (Andrea Bolognani),
  man: Fix NAME section (Andrea Bolognani),
  build: Standardize on .pod -> .x.in -> .x (Andrea Bolognani),
  build: Perform post-processing on all man pages (Andrea Bolognani),
  build: Build man pages in $(builddir) (Andrea Bolognani),
  build: Extract pod from source files (Andrea Bolognani),
  build: Ship virt-admin.pod (Andrea Bolognani),
  docs: Fix some formatting oddities (Andrea Bolognani),
  syntax-check: Enforce <code> inside <dt> elements (Andrea Bolognani),
  docs: remove *other* reference to igmp for IPv6 (Laine Stump),
  docs: Add bold style for <dt><code> elements (John Ferlan),
  docs: Use <code> inside <dt> for symbols (Andrea Bolognani),
  docs: apibuild: Fix for python 2.6 (Peter Krempa),
  docs: remove reference to non-existent "igmp-ipv6" protocol (Laine Stump),
  docs: domain: Document network <filterref> (Cole Robinson),
  docs: Don't leave any documentation behind (Michal Privoznik),
  docs: Uninstall libvirt logo too (Michal Privoznik),
  man: Clarify virsh vol-clone works within a single pool (Cole Robinson),
  docs: Document the new XML elements (Andrea Bolognani),
  virDomain{Get,Set}PerfEvents: Tweak documentation (Michal Privoznik),
  spec: Only pull in API docs with -devel package (Cole Robinson),
  man: virsh: Document lxc-enter-namespace --noseclabel (Cole Robinson),
  docs: formatdomain: document versions for video acceleration (Cole Robinson),
  docs: domain: document blkiotune {read, write}_{bytes, iops}_sec (Cole Robinson),
  docs: rewrite graphics XML documentation (Pavel Hrdina),
  docs: Remove unused div.body CSS rule (Andrea Bolognani)
- Portability:
  wireshark: Fix distcheck (Michal Privoznik),
  tools: Introduce install-nss targets (Michal Privoznik),
  docs: apibuild: Fix VPATH build (Peter Krempa),
  build: Fix default network generation on FreeBSD (Andrea Bolognani),
  dist: ln(1) is not guaranteed to have a '-f' option (Andrea Bolognani),
  build: Use $(LN_S) safely (Andrea Bolognani),
  Include sysmacros.h where needed (Martin Kletzander),
  ploop: Fix build with gluster (Jiri Denemark),
  Fix various shadowed declarations (Martin Kletzander),
  build: fix build on RHEL-6 (Pavel Hrdina),
  build: add GCC 6.0 -Wlogical-op workaround (Pavel Hrdina),
  build: cleanup GCC < 4.6 -Wlogical-op workaround (Pavel Hrdina),
  configure: Fix check for --with-login-shell on Windows (Andrea Bolognani),
  qemu: fix build without gnutls installed (Roman Bogorodskiy),
  nss: properly include syms files to dist (Roman Bogorodskiy),
  netdev: Use the correct pointer type for virSocketAddrFormat() (Andrea Bolognani),
  configure: Move check for <gnutls/crypto.h> (Andrea Bolognani),
  util: move ENODATA redefine to internal.h (Roman Bogorodskiy),
  qemu: Explicitly check for gnutls_rnd() (Andrea Bolognani)
- Bug Fixes:
  rpc: Don't leak fd via CreateXMLWithFiles (Ben Gray),
  vz: fix disk enumeration (Mikhail Feoktistov),
  virsh: Fix support for 64 migration options (Nikolay Shirokovskiy),
  qemu: Regenerate VNC socket paths (Martin Kletzander),
  qemu: Error out if setting vcpu count would lead to invalid config (Peter Krempa),
  qemu: conf: Set default logging approach in virQEMUDriverConfigNew (Peter Krempa),
  Shorten domain name for automatic coredump (Martin Kletzander),
  qemu: Unref cfg in qemuDomainDefPostParse (Martin Kletzander),
  conf: Drop restrictions on rng backend path (Cole Robinson),
  remote: Don't reject remote polkit if client lacks support (Cole Robinson),
  spec: If installing default network, restart libvirtd (Cole Robinson),
  schema: Allow space character in disk vendor/product (Cole Robinson),
  qemu: fix error log in qemuAssignPCIAddresses() (Laine Stump),
  virsh: host: Use bitmap size in bytes rather than bit count (Peter Krempa),
  qemu: Fix off-by-one error in block I/O throttle messages (Martin Kletzander),
  qemu: Limit maximum block device I/O tune values (Martin Kletzander),
  virconf: Handle conf file without ending newline (Cole Robinson),
  network: fix DHCPv6 on networks with prefix != 64 (Laine Stump),
  virsh: Don't clear old connection if 'connect $uri' fails (Cole Robinson),
  libvirt: Fix crash on URI without scheme (Cole Robinson),
  virsh: perf: Don't leak domain (Peter Krempa),
  virsh: don't override connection URI from argv (Roman Bogorodskiy),
  vz: fix config input device check (Nikolay Shirokovskiy),
  virt-aa-helper: disallow VNC socket read permissions (Simon Arlott),
  Revert "daemon: use socket activation with systemd" (Cole Robinson),
  tests: Fix enumeration value (Andrea Bolognani),
  vz: fix boot check to use new disk id (Nikolay Shirokovskiy),
  vz: fix detach disk to use new disk id (Nikolay Shirokovskiy),
  network: prevent duplicate entries in network device pools (Laine Stump),
  lxc: explicitly error on interface type=ethernet (Cole Robinson),
  tests: Fix syntax in iSCSI auth/secret tests (John Ferlan),
  Libvirt: virTypedParamsValidate: Fix detection of multiple parameters (Jason J. Herne),
  Resolve a couple of memory leaks (John Ferlan),
  tools: Fix memory leak (John Ferlan),
  qemu: Fix qemuBuildCommandLine prototype (John Ferlan),
  qemu: hotplug: Properly recalculate/reload balloon size after hot(un)plug (Peter Krempa),
  storage: mpath: Don't error on target_type=NULL (Cole Robinson),
  qemu: command: don't overwrite watchdog dump action (Cole Robinson),
  fix build by correcting functions order and src/Makefile.am (Maxim Nestratov),
  rpc: daemon: Fix virtlog/virtlock daemon reload (Cole Robinson),
  qemuxml2argvtest: do not mock virCommand (Ján Tomko),
  vz: fix memory leak (Nikolay Shirokovskiy),
  conf: also mark the implicit video as primary (Ján Tomko),
  virtlogd: Fix a couple minor memory leaks (Cole Robinson),
  qemu: Free priv->machineName (Martin Kletzander),
  qemu: agent: Fix incorrect and weird debug/warning log entries (Peter Krempa),
  util: netdev: Don't crash in virNetDevSetIPAddress if @peer is NULL (Peter Krempa),
  libxl: libxl_domain_create_restore has an extra argument (Wei Liu),
  qemu: perf: Fix crash/memory corruption on failed VM start (Peter Krempa),
  qemu: alias: Fix calculation of memory device aliases (Peter Krempa),
  qemu: alias: Fix calculation of RNG device aliases (Peter Krempa),
  Link libvirt_xenconfig instead of libvirt against libxl (Guido Günther),
  libvirt-admin: do not crash on URI without a scheme (Ján Tomko)
- Improvements:
  Unify domain name shortening (Martin Kletzander),
  spec: Use proper indentation (Andrea Bolognani),
  maint: Ignore all intermediate and generated man pages (Andrea Bolognani),
  apibuild: Fix method call (Andrea Bolognani),
  apibuild: Introduce app class (Andrea Bolognani),
  apibuild: Add index.warning() method (Andrea Bolognani),
  secret: Change virSecretDef variable names (John Ferlan),
  secret: Introduce virSecretObjGetValue and virSecretObjGetValueSize (John Ferlan),
  secret: Introduce virSecretObj{Get|Set}Def (John Ferlan),
  secret: Introduce virSecretObjSave{Config|Data} (John Ferlan),
  secret: Introduce virSecretObjDelete{Config|Data} (John Ferlan),
  secret: Move and rename secretLoadAllConfigs (John Ferlan),
  secret: Use the hashed virSecretObjList (John Ferlan),
  secret: Introduce virSecretObjListGetUUIDs (John Ferlan),
  secret: Introduce virSecretObjListExport (John Ferlan),
  secret: Introduce virSecretObjListNumOfSecrets (John Ferlan),
  secret: Introduce virSecretObjListAdd* and virSecretObjListRemove (John Ferlan),
  secret: Introduce virSecretUsageIDForDef (John Ferlan),
  secret: Introduce virSecretObjListFindBy{UUID|Usage} support (John Ferlan),
  secret: Create virsecretobj.c and virsecretconf.h (John Ferlan),
  Makefile: Enable distuninstallcheck again (Michal Privoznik),
  qemuProcessCreatePretendCmd: Rework FIPS handling (Michal Privoznik),
  build: Always ship virt-login-shell.conf (Andrea Bolognani),
  build: Replace variables in man pages (Andrea Bolognani),
  build: Ensure intermediate files are cleaned up properly (Andrea Bolognani),
  build: Group files (Andrea Bolognani),
  build: Never ship man pages (Andrea Bolognani),
  tests: consistently source test-lib.sh in scripts (Cole Robinson),
  vbox: VIR_WARN if we don't support the API version (Cole Robinson),
  tests: remove 'reconnect' and 'statstest' (Cole Robinson),
  tests: rename test_conf -> virconftest (Cole Robinson),
  tests: consistently name virsh tests with 'virsh-' prefix (Cole Robinson),
  tests: build: Remove duplicate libvirtd test list (Cole Robinson),
  conf: disk: extract validation of startup policy (Peter Krempa),
  conf: disk: Extract checking of removable status (Peter Krempa),
  conf: disk: Move validation of disk bus vs disk type (Peter Krempa),
  conf: disk: extract sgio/rawio validation (Peter Krempa),
  conf: disk: Don't bother setting removable state to 0 by default (Peter Krempa),
  conf: disk: Initialize closed device tray state to 0 (Peter Krempa),
  conf: disk: Extract disk type and device right away (Peter Krempa),
  conf: disk: Remove custom single-use temporary variables (Peter Krempa),
  conf: disk: Mark VIR_DOMAIN_DISK_IO_DEFAULT as 0 and simplify parsing (Peter Krempa),
  conf: disk: Sanitize parsing of disk format (Peter Krempa),
  conf: disk: Avoid temporary variable when parsing driver name (Peter Krempa),
  conf: disk: Split out parsing of disk <driver> element (Peter Krempa),
  conf: disk: Extract verification of disk config (Peter Krempa),
  daemonStreamHandleRead: Rework to follow our coding pattern (Michal Privoznik),
  virNet{Client,Server}*Stream: Update comment (Michal Privoznik),
  daemon stream: Remove useless empty lines from header file (Michal Privoznik),
  daemon stream: Convert @tx in daemonClientStream to bool (Michal Privoznik),
  daemon stream: Prefer bool over unsigned int var:1 (Michal Privoznik),
  daemonClientStream: Use unsigned int to store stream @serial (Michal Privoznik),
  include: common: Fix function formatting (Peter Krempa),
  api: Generate docs for libvirt-common.h (Peter Krempa),
  apibuild: Allow completely skipping certain macros (Peter Krempa),
  include: common: Fix file header for apibuild.py (Peter Krempa),
  qemu: process: split out startup XML validation (Cole Robinson),
  qemu: process: split out shmem startup warning (Cole Robinson),
  tests: virnetdaemontest: Enable testing for no-keepalive-required (Erik Skultety),
  tests: virnetdaemon: Replace tabs with spaces (Erik Skultety),
  tests: remove virnetservertest data leftovers (Erik Skultety),
  virsh: re-fix help printing without connection (Roman Bogorodskiy),
  build: Overwrite existing symbolic links (Andrea Bolognani),
  build: Add AC_PROG_LN_S to configure (Andrea Bolognani),
  build: Always use $(LN_S) and $(MKDIR_P) (Andrea Bolognani),
  virsh: perf: Remove unnecessary 'error' label (Peter Krempa),
  examples: Try harder to uninstall nwfilter (Michal Privoznik),
  nss: Try harder to uninstall (Michal Privoznik),
  vz: add default input devices on post parse (Nikolay Shirokovskiy),
  storage: drop the plumbing needed for kvm-img/qcow-create (Cole Robinson),
  storage: remove support for /usr/bin/kvm-img (Cole Robinson),
  storage: remove support for /usr/bin/qcow-create (Cole Robinson),
  network: Don't use ERR_NO_SUPPORT for invalid net-update requests (Cole Robinson),
  libvirt: Use conventional function names (Cole Robinson),
  qemu: Cache GIC capabilities (Andrea Bolognani),
  qemu: Fill in GIC capabilities (Andrea Bolognani),
  conf: Expose GIC capabilities (Andrea Bolognani),
  schema: Validate GIC capabilities (Andrea Bolognani),
  qemu: Probe GIC capabilities (Andrea Bolognani),
  conf: Get rid of virDomainCapsDevice (Andrea Bolognani),
  Explicitly error on uri=qemu://system (Cole Robinson),
  vz: handle sourceless cdroms (Mikhail Feoktistov),
  vz: cleanup: remove trivial function (Nikolay Shirokovskiy),
  vz: introduce vzsdk disk id function (Nikolay Shirokovskiy),
  test: enable testing for expected parse errors in network XML (Laine Stump),
  qemu: command: drop redundant min_guarantee check (Cole Robinson),
  qemu: Remove redundant DomainObjIsActive calls (Cole Robinson),
  security: Rename DomainSetDirLabel to DomainSetPathLabel (Martin Kletzander),
  virt-admin: Introduce srv-threadpool-info and srv-threadpool-set commands (Erik Skultety),
  admin: Introduce virAdmServerSetThreadPoolParameters (Erik Skultety),
  admin: Introduce virAdmServerGethreadPoolParameters (Erik Skultety),
  admin: Prepare admin protocol for future worker related procedures (Erik Skultety),
  util: Add more getters to threadpool parameters (Erik Skultety),
  util: Use a mutex when retrieving threadpool data (Erik Skultety),
  util: Report system error when virThreadCreateFull fails (Erik Skultety),
  util: Refactor thread creation by introducing virThreadPoolExpand (Erik Skultety),
  admin: Enable usage of typed parameters (Erik Skultety),
  libvirt-host: Move virTypedParam* to libvirt-common (Erik Skultety),
  event-test: Enforce domain event sync (Peter Krempa),
  event-test: Add VIR_DOMAIN_EVENT_ID_IO_ERROR_REASON (Peter Krempa),
  event-test: Add VIR_DOMAIN_EVENT_ID_DEVICE_REMOVAL_FAILED (Peter Krempa),
  event-test: Add VIR_DOMAIN_EVENT_ID_JOB_COMPLETED (Peter Krempa),
  event-test: Add VIR_DOMAIN_EVENT_ID_MIGRATION_ITERATION callback (Peter Krempa),
  event-test: Add VIR_DOMAIN_EVENT_ID_BLOCK_JOB and VIR_DOMAIN_EVENT_ID_BLOCK_JOB_2 (Peter Krempa),
  event-test: make domain event registration declarative (Peter Krempa),
  event-test: warn on unhandled enum values (Peter Krempa),
  event-test: make few switch statements future proof (Peter Krempa),
  event-test: Use switch instead of if/else if chains for lifecycle event translation (Peter Krempa),
  event-test: Use typecasted enum to convert graphics event phase (Peter Krempa),
  event-test: Force compiler check in switch for connectClose callback (Peter Krempa),
  lib: document fields virConnectDomainEventDiskChangeReason (Peter Krempa),
  event-test: Use functions with typecasted switch to convert enums (Peter Krempa),
  event-test: touch up coding style (Peter Krempa),
  event-test: Remove unnecessary 'usage' function (Peter Krempa),
  event-test: Get rid of useless and ambiguous VIR_DEBUG macro (Peter Krempa),
  event-test: Remove forward declarations (Peter Krempa),
  qemu: migration: new migration param for persistent destination XML (Dmitry Andreev),
  qemuMigrationCookieAddPersistent: move it out and change argument type (Dmitry Andreev),
  ZFS: Support sparse volumes (Richard Laager),
  libxl: use LIBXL_API_VERSION 0x040200 (Jim Fehlig),
  qemu: Label master key file (Martin Kletzander),
  Add functions for handling exponential backoff loops. (Richard W.M. Jones),
  storage: dir: adapt .uploadVol .dowloadVol for ploop volume (Olga Krishtal),
  storage: dir: adapt .refreshVol and .refreshPool for ploop volumes (Olga Krishtal),
  storage: dir: .wipeVol is left unsupported for ploop volume (Olga Krishtal),
  storage: dir: .resizeVol callback for ploop volume (Olga Krishtal),
  storage: dir: .deleteVol callback for ploop volume (Olga Krishtal),
  storage: dir: .buildVol and .buildVolFrom callbacks for ploop (Olga Krishtal),
  storage: add ploop volume type (Olga Krishtal),
  cfg.mk: Get rid of quotation tricks (Andrea Bolognani),
  Return error when --start <number> in cpu-stats is invalid. (Nitesh Konkar),
  qemu: process: Simplify condition in qemuProcessRefreshBalloonState (Peter Krempa),
  qemu: driver: Reuse qemuDomainGetMonitor in qemuDomainMemoryStats (Peter Krempa),
  domain: Add helper to determine presence of memory baloon (Peter Krempa),
  qemu: command: Refactor memballoon command line formatting (Peter Krempa),
  qemu: command: Drop obsolete comment (Peter Krempa),
  qemu: caps: Deprecate QEMU_CAPS_BALLOON (Peter Krempa),
  qemu: command: Assume QEMU_CAPS_DEVICE when building memballoon args (Peter Krempa),
  qemu: migration: Drop dead VNC cookie handling (Cole Robinson),
  makefile: Move include/Makefile.am to include/libvirt/Makefile.am (Erik Skultety),
  vz: make it possible to use shared drivers API with vz driver connection (Maxim Nestratov),
  qemu: support new pci controller model "pcie-expander-bus" (Laine Stump),
  conf: new pci controller model pcie-expander-bus (Laine Stump),
  qemu: add capabilities bit for device "pxb-pcie" (Laine Stump),
  qemu: support new pci controller model "pci-expander-bus" (Laine Stump),
  conf: new pci controller model pci-expander-bus (Laine Stump),
  qemu: add capabilities bit for device "pxb" (Laine Stump),
  qemu: set PCI controller default modelName in a separate function (Laine Stump),
  conf: utility function to convert PCI controller model into connect type (Laine Stump),
  conf/qemu: change the way VIR_PCI_CONNECT_TYPE_* flags work (Laine Stump),
  conf: allow use of slot 0 in a dmi-to-pci-bridge (Laine Stump),
  conf: use #define instead of literal for highest slot in upstream port (Laine Stump),
  schema: allow pci address attributes to be in decimal (Laine Stump),
  schema: new basic type - uint16 (Laine Stump),
  schema: rename uint8range/uint24range to uint8/uint24 (Laine Stump),
  schema: make pci slot and function optional (Laine Stump),
  util: Add virGettextInitialize, convert the code (Cole Robinson),
  test: genericxml2xml: test graphics listen= compat (Cole Robinson),
  tests: Enable failure testing with CompareDomXML2XML (Cole Robinson),
  tests: do not overwrite return value when filling qemuCapsCache (Ján Tomko),
  virsh: add compression options for migration (ShaoHe Feng),
  qemu: migration: support setting compession parameters (Nikolay Shirokovskiy),
  qemumonitorjsontest: add test for getting multithread compress params (Eli Qiao),
  qemu: monitor: add migration parameters accessors (ShaoHe Feng),
  migration: qemu: add option to select compression methods (Nikolay Shirokovskiy),
  virsh: support up to 64 migration options for command (Nikolay Shirokovskiy),
  libxl: support creating domain with VF assignment from a pool (Chunyan Liu),
  vz: simplify getting strings from vzsdk (Nikolay Shirokovskiy),
  vz: minor cleanup (Maxim Nestratov),
  vz: remove vzDriverLock/Unlock function (Maxim Nestratov),
  vz: implement connectGetSysinfo hypervisor callback (Maxim Nestratov),
  vz: fix possible vzDomainDefineXMLFlags and prlsdkNewDomainByHandle race (Maxim Nestratov),
  vz: introduce new vzDriver lockable structure and use it (Maxim Nestratov),
  vz: build driver as module and don't register it on client's side (Maxim Nestratov),
  vz: correct iomode check (Mikhail Feoktistov),
  qemuExecuteEthernetScript: move to util (Ján Tomko),
  qemu: process: Wire up ACPI OST events to notify users of failed memory unplug (Peter Krempa),
  qemu: monitor: Add support for ACPI_DEVICE_OST event handling (Peter Krempa),
  Add VIR_DOMAIN_EVENT_ID_DEVICE_REMOVAL_FAILED event (Peter Krempa),
  qemu: hotplug: Add support for signalling device unplug failure (Peter Krempa),
  qemu: Use domain condition for device removal signaling (Peter Krempa),
  qemu: hotplug: Refactor semantics of qemuDomainWaitForDeviceRemoval (Peter Krempa),
  qemu: hotplug: Properly handle errors in qemuDomainWaitForDeviceRemoval (Peter Krempa),
  qemu: assign addresses before aliases (Ján Tomko),
  qemuxml2argvtest: drop FLAG_EXPECT_ERROR (Ján Tomko),
  tests: clean up includes (Ján Tomko),
  drop qemuBuildCommandLineCallbacks (Ján Tomko),
  domain_conf: call ...ListensParseXML only for appropriate graphics (Pavel Hrdina),
  domain_conf: remove unused virDomainGraphicsListenGet* (Pavel Hrdina),
  use virDomainGraphicsGetListen instead of the other getters (Pavel Hrdina),
  domain_conf: cleanup virDomainGraphicsGetListen (Pavel Hrdina),
  domain_conf: remove unused virDomainGraphicsListenSetType (Pavel Hrdina),
  domain_conf: remove virDomainGraphicsListenSetNetwork (Pavel Hrdina),
  domain_conf: introduce virDomainGraphicsListenAppendAddress (Pavel Hrdina),
  configure: Make virt-host-validate optional (Andrea Bolognani),
  tools: Reorganize conditional bits (Andrea Bolognani),
  conf: extract disk geometry parsing code (Peter Krempa),
  conf: Refactor virDomainDiskDefMirrorParse (Peter Krempa),
  conf: disk: Split out parsing of disk mirror data (Peter Krempa),
  conf: virDomainDiskDefIotuneParse: Report malformed number errors (Peter Krempa),
  conf: virDomainDiskDefIotuneParse: simplify parsing (Peter Krempa),
  conf: disk: Remove error label from virDomainDiskDefIotuneParse (Peter Krempa),
  conf: disk: Extract iotune parsing into a separate func (Peter Krempa),
  conf: disk: Remove one unnecessary level of indentation (Peter Krempa),
  conf: disk: Don't initialize fields allocated by calloc (Peter Krempa),
  util: Rename and move virStrIsPrint to virStringIsPrintable (Peter Krempa),
  vz: add Hypervisor prefix to vz and parallels Driver structures (Maxim Nestratov),
  vz: remove drivername field from vzConn structure (Maxim Nestratov),
  vz: change the order of capabilities reported (Maxim Nestratov),
  virsh: report when vz driver is compiled (Maxim Nestratov),
  tests: fix xen-related tests (Ján Tomko),
  conf: use VIR_APPEND_ELEMENT in virDomainDefAddImplicitVideo (Ján Tomko),
  conf: reduce indentation in virDomainDefAddImplicitVideo (Ján Tomko),
  conf: delete useless primaryVideo variable (Ján Tomko),
  conf: use insertAt instead of j (Ján Tomko),
  conf: use the iterator directly when parsing video devices (Ján Tomko),
  conf: move default video addition after XML parsing (Ján Tomko),
  cfg.mk: Use single quotes wherever possible (Andrea Bolognani),
  cfg.mk: Remove spurious whitespace (Andrea Bolognani),
  util: Fix 'exempt from syntax-check' comment (Andrea Bolognani),
  vz: implement memory setting functions (Nikolay Shirokovskiy),
  vz: factor out config update flags checks (Nikolay Shirokovskiy),
  domain_conf: fix graphics parsing (Pavel Hrdina),
  host-validate: Be more careful when checking for cgroup support (Andrea Bolognani),
  po: Really fix po/POTFILES.in ordering (Erik Skultety),
  po: fix POTFILES.in file ordering (Erik Skultety),
  nss: fix typo in configure help string (Roman Bogorodskiy),
  domain_conf: cleanup error paths for graphics parser (Pavel Hrdina),
  domain_conf: split graphics xml parser into multiple functions (Pavel Hrdina),
  domain_conf: cleanup virDomainGraphicsListensParseXML (Pavel Hrdina),
  domain_conf: introduce virDomainGraphicsListensParseXML (Pavel Hrdina),
  tests: remove unwanted VIR_FREE of spice and vnc default listen (Pavel Hrdina),
  qemu: support virt-2.6 machine type on arm (Ján Tomko),
  host-validate: Be more careful when checking for cgroup mounts (Andrea Bolognani),
  qemu domain allow to set ip address, peer address and route (Vasiliy Tolstov),
  lxc domain allow to set peer address (Vasiliy Tolstov),
  libvirt domain xml allow to set peer address (Vasiliy Tolstov),
  virnetdev allow to set peer address (Vasiliy Tolstov),
  configure: Always use old_CFLAGS and old_LIBS (Andrea Bolognani),
  configure: Restore CFLAGS properly after GnuTLS checks (Andrea Bolognani),
  host-validate: Improve CPU flags processing (Andrea Bolognani),
  vz: support boot order in domain xml dump (Nikolay Shirokovskiy),
  vz: fix disk order on load domain (Nikolay Shirokovskiy),
  vz: support boot order specification on define domain (Nikolay Shirokovskiy),
  secret: Introduce virSecretGetSecretString (John Ferlan),
  qemu: Introduce qemuBuildMasterKeyCommandLine (John Ferlan),
  qemu: Create domain master key (John Ferlan),
  util: Introduce virRandomBytes (John Ferlan),
  qemu: Add capability bit for qemu secret object (John Ferlan),
  qemu: Tear down the cgroup before reattach device to host (John Ferlan),
  qemu: Restore label before reattach device to host (John Ferlan),
  virt-admin: get rid of LIBVIRT_DEFAULT_ADMIN_URI env var (Ján Tomko),
  tools: remove unnecessary defaultConn variable (Ján Tomko),
  virsh: read default connection uri from env later (Ján Tomko),
  spec: Include KVM support on RHEL 7 ppc64 and newer (Andrea Bolognani),
  conf: store bootindex as unsigned int (Peter Krempa),
  conf: Pass the whole device info struct to virDomainDeviceBootParseXML (Peter Krempa),
  Post-release version bump to 1.3.4 (Peter Krempa)
- Cleanups:
  Revert "qemu domain allow to set ip address, peer address and route" (Laine Stump),
  Revert "lxc domain allow to set peer address" (Laine Stump),
  Revert "libvirt domain xml allow to set peer address" (Laine Stump)

### v1.3.3: Apr 06 2016

- Features:
  perf events (Qiaowei Ren),
  post-copy migration support (Cristian Klein, Jiri Denemark),
  NSS module (Michal Privoznik)
- Documentation:
  docs: fix logfile paragraph (Boris Fiuczynski),
  docs: Remove useless p:first-line CSS rule (Andrea Bolognani),
  docs: Remove unused #sponsor CSS rule (Andrea Bolognani),
  docs: Make most headers a bit smaller (Andrea Bolognani),
  docs: Use bold text for all headers (Andrea Bolognani),
  docs: Don't use bold text for menu entries (Andrea Bolognani),
  docs: Make menu entries smaller (Andrea Bolognani),
  docs: Don't use <strong> in headers (Andrea Bolognani),
  docs: Remove empty CSS rule (Andrea Bolognani),
  docs: Adjust vertical whitespace in CSS (Andrea Bolognani),
  docs: fix qemu version for hyperv features (Pavel Hrdina),
  docs: Document NSS module (Michal Privoznik),
  docs: website: more header spacing tweaks (Cole Robinson),
  docs: Update the hyperv feature qemu supported version (John Ferlan),
  docs: generic.css: Indentation and spacing tweaks (Cole Robinson),
  docs: generic.css: font size tweaks (Cole Robinson),
  docs: generic.css: minor cleanups (Cole Robinson),
  docs: website: Remove the et.redhat.com footer (Cole Robinson),
  Fix minor typos (Yuri Chornoivan),
  docs: Clarify interface/target/@dev docs (Jiri Denemark)
- Portability:
  build: workaround broken SASL header (again) (Fabiano Fidêncio),
  nss: FreeBSD support (Roman Bogorodskiy),
  perf: fix build on non-Linux (Roman Bogorodskiy),
  storage: rbd: Fix build (Peter Krempa),
  storage/rbd: Use correct printf-modifier for uint64 (Christophe Fergeau),
  tests: Produce predictable results in nsstest (Michal Privoznik),
  nss: don't try to build nss plugin when disabled (Roman Bogorodskiy),
  virlog: Fix build breaker with "comparison between signed and unsigned" (Erik Skultety),
  _virtualboxCreateMachine: Avoid unbounded stack (Michal Privoznik),
  datatypes.c: Replace 'close' with 'closeData' (Michal Privoznik),
  util: Fix build without polkit (Jiri Denemark)
- Bug Fixes:
  qemu: Fix mis-merge of qemuBuildRedirdevCommandLine (John Ferlan),
  qemu: Fix mis-merge of qemuBuildConsoleCommandLine (John Ferlan),
  qemu: Fix mis-merge of qemuBuildChannelsCommandLine (John Ferlan),
  qemu: Fix mis-merge of qemuBuildParallelsCommandLine (John Ferlan),
  qemu: Fix mis-merge of qemuBuildSerialCommandLine (John Ferlan),
  qemu: Fix mis-merge of qemuBuildSmartcardCommandLine (John Ferlan),
  nodedev: Fix parsing of generated XMLs (Martin Kletzander),
  qemu: fix alias name for <interface type='hostdev'> (Laine Stump),
  qemu: Clear generated private paths (Martin Kletzander),
  apparmor: QEMU monitor socket moved (Guido Günther),
  Revert "hostdev: Use actual device when reattaching" (Andrea Bolognani),
  Pass the correct cpu count when calling virDomainGetCPUStats. (Nitesh Konkar),
  migration: convert speed from MiB/sec to bytes/sec in drive-mirror jobs (Rudy Zhang),
  libxl: fix net device detach (Jim Fehlig),
  libxl: fix attaching net device of type hostdev (Jim Fehlig),
  qemuProcessVerifyGuestCPU: Avoid coverity false positive (Michal Privoznik),
  virDomain{Get,Set}PerfEvents: support --config --live --current (Michal Privoznik),
  qemu: command: Pass numad nodeset when formatting memory devices at boot (Peter Krempa),
  libxl: only disable domain death events in libxlDomainCleanup (Jim Fehlig),
  libxl: fix resource leaks in libxlDomainStart error paths (Chunyan Liu),
  conf: decrease iterations complexity when formatting iothreads (Peter Krempa),
  qemu: Fix /proc/**/stat parsing (Jiri Denemark),
  bhyve: fix invalid hostsysinfo freeing (Maxim Nestratov),
  libxl: remove reference to non-existent out label (Jim Fehlig),
  util: avoid getting stuck on macvtapN name created outside libvirt (Laine Stump),
  libxl: fix hot add/remove VF from a pool (Chunyan Liu),
  tests: storagepoolxml2xmltest: Fix pool-rbd test (Anatole Denis),
  Revert "zfs: Only raw volumes are supported" (Roman Bogorodskiy),
  Revert "logical: Only raw volumes are supported" (Roman Bogorodskiy),
  network: differentiate macvtap/bridge from host-bridge based networks (Laine Stump),
  test: Fix typo in testutils.h header guard (Christophe Fergeau),
  virTestSetEnvPath: Avoid clearing out PATH (Michal Privoznik),
  admin_server: Avoid accessing unallocated memory (Michal Privoznik),
  testutils: Adapt to highly unlikely case (Michal Privoznik),
  tests: virlogtest: Fix testLogParseOutputs return value (Erik Skultety),
  admin_server: fix memory leak (Pavel Hrdina),
  qemu: Don't kill running migrated domain on daemon restart (Jiri Denemark),
  qemu: Don't add -spice port=0 when no port is specified (Christophe Fergeau),
  rpc: wait longer for session daemon to start up (Cole Robinson),
  qemu: Don't access uninitialized memory (Martin Kletzander),
  vz: fix active domain listing (Maxim Nestratov),
  qemuBuildVideoCommandLine: Don't access def->videos without check (Michal Privoznik),
  virt-admin: Don't leak uri in cmdSrvList (Martin Kletzander),
  daemon: Properly check for clients (Martin Kletzander),
  qemuxml2argvtest: Fix monitor path in serial-file-log (Jiri Denemark),
  qemu: support use of virtlogd with file based chardevs (Daniel P. Berrange),
  qemu: use virtlogd for character device log files (Daniel P. Berrange),
  qemu: cpu: Don't remove pinning of cold-unplugged cpu (Peter Krempa),
  qemu: Fix memory leak in qemuGetSchedInfo (Peter Krempa),
  conf: Fix off-by-one in virDomainDefGetVcpu (Peter Krempa),
  qemu: Fix a race when computing migration downtime (Jiri Denemark),
  qemu: rename: Forbid renaming domains with managed save image (Peter Krempa),
  virLXCProcessMonitorInitNotify: Initialize @inode (Michal Privoznik),
  tools: do not leak uri in disconnect handler (Ján Tomko),
  Initialize couple of variables. (Michal Privoznik),
  qemu: Check if domain is active in GetControlInfo (Jiri Denemark),
  daemon: fixup refcounting in close callback handling (Nikolay Shirokovskiy),
  util: Fix missing initializer for agent (John Ferlan),
  Libvirt: Add missing default value for config option max_queued_clients (Jason J. Herne),
  qemu: Don't always wait for SPICE to finish migration (Jiri Denemark),
  qemu: Don't try to fetch migration stats on destination (Jiri Denemark),
  close callback: make unregister clean after connect close event (Nikolay Shirokovskiy),
  virConnectCloseCallbackData: fix connection object refcount (Nikolay Shirokovskiy)
- Improvements:
  network: Remove extraneous ATTRIBUTE_NONNULL (John Ferlan),
  qemu: change args to qemuAssignDeviceHostdevAlias() (Laine Stump),
  network: new function networkGetActualType (Laine Stump),
  qemu: Simplify calls to qemuDomainSetPrivatePaths (Martin Kletzander),
  qemu: perf: Tweak flags before using them (Peter Krempa),
  virPerfReadEvent: Prefer saferead over read (Michal Privoznik),
  remote: Add flags to remote_protocol-structs (Martin Kletzander),
  virDomain{Get,Set}PerfEvents: Grab job (Michal Privoznik),
  virsh: Make perf accept event list separated by commas (Michal Privoznik),
  virsh: Prefer VIRSH_COMMON_OPT_DOMAIN_FULL over full enumeration (Michal Privoznik),
  virDomain{Get,Set}PerfEvents: Add @flags argument (Michal Privoznik),
  remoteDomainGetPerfEvents: Re-indent (Michal Privoznik),
  qemu: command: Split up formatting of -numa and memory devices (Peter Krempa),
  qemu_process: add check for hyperv features (Pavel Hrdina),
  qemu_process: skip only cpu features (Pavel Hrdina),
  host-validate: Fix suggestion for missing cpu cgroup (Andrea Bolognani),
  libxl: rename cleanup_dom label (Jim Fehlig),
  conf: Remove now unused virDomainIOThreadIDMap (Peter Krempa),
  util: bitmap: Introduce self-expanding bitmap APIs (Peter Krempa),
  virsh: blockpull: Support --bytes and scaled integers (Peter Krempa),
  virsh: blockcopy: Support --bytes and scaled integers (Peter Krempa),
  virsh: blockcommit: Support --bytes and scaled integers (Peter Krempa),
  virsh: blockjob: Support --bytes and scaled integers as bandwidth (Peter Krempa),
  vsh: Introduce helper to parse --bandwidth (Peter Krempa),
  vsh: Refactor vshCommandOptScaledInt (Peter Krempa),
  vsh: Tweak error message for scaled integers (Peter Krempa),
  qemu: domain: Move and export qemuDomainDiskChainElement(Prepare|Revoke) (Peter Krempa),
  qemu: Refactor qemuDomainPrepareDiskChainElement (Peter Krempa),
  qemu: Split image access revoking from qemuDomainPrepareDiskChainElement (Peter Krempa),
  qemu: Kill qemuDiskPathToAlias (Peter Krempa),
  qemu: monitor: Remove JSON impls of drive_add and drive_del (Peter Krempa),
  qemu: monitor: Drop qemuMonitorAttachDrive and leaves in call tree (Peter Krempa),
  qemu: hotplug: Assume support for -device in qemuDomainAttachSCSIDisk (Peter Krempa),
  bhyve: cleanup unnecessary variables (Maxim Nestratov),
  virsh: extend domstats command (Qiaowei Ren),
  virsh: implement new command to support perf (Qiaowei Ren),
  perf: reenable perf events when libvirtd restart (Qiaowei Ren),
  perf: add new xml element (Qiaowei Ren),
  qemu_driver: add support to perf event (Qiaowei Ren),
  perf: implement a set of util functions for perf event (Qiaowei Ren),
  perf: implement the remote protocol for perf event (Qiaowei Ren),
  perf: add new public APIs for perf event (Qiaowei Ren),
  storage: Initialize pool size parameters for refresh thread (Nitesh Konkar),
  tests: virtnettlscontexttest: Use virGetLastErrorMessage() (Cole Robinson),
  conf: qemu: Add support for more HyperV Enlightenment features (Maxim Nestratov),
  conf: refactor hyperv features xml output (Nikolay Shirokovskiy),
  conf: refactor hyperv features parsing (Nikolay Shirokovskiy),
  tests: storagepoolxml2xmltest: Enable pool-rbd (Anatole Denis),
  libxlDomainDetachDeviceLive: handle hostdev parent is network device (Chunyan Liu),
  libxlDomainDetachNetDevice: cleanup codes (Chunyan Liu),
  libxlDomainAttachNetDevice: release actual deivce and remove hostdev when fail (Chunyan Liu),
  network: call proper start/stop functions for macvtap bridge-mode networks (Laine Stump),
  qemu: Replace some VIR_ERROR with vir*Error (Jovanka Gulicoska),
  qemu: Don't duplicate virGetLastErrorMessage (Jovanka Gulicoska),
  nsstest: Drop useless @data check (Michal Privoznik),
  virlog: Refactor virLogParseFilters (Erik Skultety),
  tests: Add new testcases to test parsing of log filters in virlogtest (Erik Skultety),
  gendispatch: Avoid comparing signed and unsigned vars (Michal Privoznik),
  event-test: Check for virConnectRegisterCloseCallback return value (Michal Privoznik),
  event-test: Use goto cleanup instead of if else jungle (Michal Privoznik),
  qemuxml2argvtest: Adapt to ethernet automatic tap creation (Michal Privoznik),
  remote: Fix error message (Cole Robinson),
  qemuxml2argv: Mock virSCSIDeviceGetSgName (Michal Privoznik),
  autocreate tap device for ethernet network type (Vasiliy Tolstov),
  tests: hostdev: Add more tests (Andrea Bolognani),
  hostdev: Use actual device when reattaching (Andrea Bolognani),
  hostdev: Save netdev configuration of actual device (Andrea Bolognani),
  hostdev: Streamline device ownership tracking (Andrea Bolognani),
  hostdev: Stop early if unmanaged devices have not been detached (Andrea Bolognani),
  hostdev: Detect untracked inactive devices (Andrea Bolognani),
  qemuxml2argvtest: cleanup test (Pavel Hrdina),
  qemuxml2argvtest: use driver.config and priv for qemuDomainSetPrivatePaths (Pavel Hrdina),
  qemu_driver: cleanup qemuConnectDomainXMLToNative (Pavel Hrdina),
  qemu_process: introduce qemuProcessCreatePretendCmd (Pavel Hrdina),
  qemu_process: move qemuDomainSetPrivatePaths to qemuProcessInit (Pavel Hrdina),
  qemu_process: move checks to qemuProcessStartValidate (Pavel Hrdina),
  qemu: update callers of qemuProcessStartValidate to use virDomainObjPtr (Pavel Hrdina),
  qemu_process: introduce qemuProcessPrepareHost (Pavel Hrdina),
  qemu_process: introduce qemuProcessPrepareDomain (Pavel Hrdina),
  tests: cleanup qemuxml2argvtest (Pavel Hrdina),
  nvram: generate it's path in qemuDomainDefPostParse (Pavel Hrdina),
  qemu_process: check for correct return value while starting domain (Pavel Hrdina),
  qemu-hotplug: fix eject media (Pavel Hrdina),
  nss: Make aligning look nicer (Martin Kletzander),
  tests: nodedevxml2xml: add test for SCSI target (Bjoern Walk),
  conf: node_device: fix up SCSI target (Bjoern Walk),
  libxl: support enabling and disabling <hap> feature (Jim Fehlig),
  Xen drivers: show hap enabled by default in capabilities (Jim Fehlig),
  xenconfig: change 'hap' setting to align with Xen behavior (Jim Fehlig),
  conf: add 'state' attribute to <hap> feature (Jim Fehlig),
  qemu: Add flags to qemuMigrationWaitForCompletion (Jiri Denemark),
  qemu: Refuse to abort migration in post-copy mode (Jiri Denemark),
  qemu: Handle post-copy migration failures (Jiri Denemark),
  qemu: Refactor qemuProcessRecoverMigration (Jiri Denemark),
  virsh: Add --postcopy-after-precopy option to migrate (Cristian Klein),
  virsh: Configurable migrate --timeout action (Jiri Denemark),
  virsh: Add support for post-copy migration (Cristian Klein),
  qemu: Implement virDomainMigrateStartPostCopy (Cristian Klein),
  qemu: Add support for VIR_MIGRATE_POSTCOPY flag (Cristian Klein),
  qemu: Add QMP functions for post-copy migration (Cristian Klein),
  qemu: Handle postcopy-active migration state (Jiri Denemark),
  Add public APIs for post-copy migration (Cristian Klein),
  Add event and state details for post-copy (Jiri Denemark),
  util: Add virSocketAddrSetIPv[46]AddrNetOrder and use it (Martin Kletzander),
  qemu: Omit SPICE address if no port is specified (Christophe Fergeau),
  qemu: Make all SPICE command-line args optional (Christophe Fergeau),
  zfs: Only unencrypted volumes are supported (Richard Laager),
  zfs: Only raw volumes are supported (Richard Laager),
  logical: Only raw volumes are supported (Richard Laager),
  storage: Improve code consistency between backends (Richard Laager),
  sheepdog: Use a consistent error message (Richard Laager),
  rbd: Use proper error type (Richard Laager),
  domain: Add virDomainDefAddImplicitDevices (Cole Robinson),
  bhyve: caps: Log error message when CPU init fails (Cole Robinson),
  domain: Remove controller/net address whitelists (Cole Robinson),
  nodedev: Expose PCI header type (Martin Kletzander),
  nodedev: Indent PCI express for future fix (Martin Kletzander),
  tests: Introduce nsslinktest (Michal Privoznik),
  nss: Introduce a test (Michal Privoznik),
  Implement _nss_libvirt_gethostbyname4_r (Michal Privoznik),
  nss: Implement _nss_libvirt_gethostbyname3_r (Michal Privoznik),
  libvirt.spec.in: Introduce libvirt-nss package (Michal Privoznik),
  Initial support for NSS plugin skeleton (Michal Privoznik),
  virsocketaddr: Introduce virSocketAddrSetIPv6Addr (Michal Privoznik),
  virLeaseReadCustomLeaseFile: Allow server_duid to be NULL (Michal Privoznik),
  Export virLease* functions for leases file handling (Michal Privoznik),
  tests: add schema test for default cache mode (Jim Fehlig),
  tests: add xlconfigdata to domainschematests (Jim Fehlig),
  conf: Format disk pool part_separator attribute for running pool (John Ferlan),
  qemu: Move last error save/restore to qemuBuildNetCommandLine (John Ferlan),
  tests: Set PATH in each test (Michal Privoznik),
  Drop paths.h include (Michal Privoznik),
  driver: log missing modules as INFO, not WARN (Jovanka Gulicoska),
  admin: Add virAdmConnectLookupServer (Martin Kletzander),
  qemu: implement setting target disks migration port (Nikolay Shirokovskiy),
  migration: add target peer disks port (Nikolay Shirokovskiy),
  docs: fix libvirt version for vram64 in formatdomain.html.in (Pavel Hrdina),
  vz: code refactoring (Mikhail Feoktistov),
  vz: set default SCSI model (Mikhail Feoktistov),
  vz: check supported controllers (Mikhail Feoktistov),
  vz: report correct disk format in domainGetXMLDesc (Mikhail Feoktistov),
  vz: move prlsdkCheckDiskUnsupportedParams to vz_utils.c (Maxim Nestratov),
  vz: check supported disk format and bus (Mikhail Feoktistov),
  vz: add vzCapabilities to connection structure (Mikhail Feoktistov),
  vz: save vz version in connection structure (Mikhail Feoktistov),
  virlog: Refactor virLogParseOutputs (Erik Skultety),
  virlog: Introduce Type{To,From}String for virLogDestination (Erik Skultety),
  tests: Add a new test for logging outputs parser (Erik Skultety),
  tests: Slightly tweak virlogtest (Erik Skultety),
  nodedev: Shorten match condition (Martin Kletzander),
  qemu: Don't overwrite DomainSave errors (Cole Robinson),
  qemuDomainRevertToSnapshot: save domain configuration (Dmitry Andreev),
  Introduce new VIR_DOMAIN_EVENT_DEFINED_FROM_SNAPSHOT sub-event (Dmitry Andreev),
  qemu: Introduce qemuBuildPanicCommandLine (John Ferlan),
  qemu: Introduce qemuBuildNVRAMCommandLine (John Ferlan),
  qemu: Introduce qemuBuildRNGCommandLine (John Ferlan),
  qemu: Introduce qemuBuildMemballoonCommandLine (John Ferlan),
  qemu: Introduce qemuBuildHostdevCommandLine (John Ferlan),
  qemu: Introduce qemuBuildRedirdevCommandLine (John Ferlan),
  qemu: Introduce qemuBuildWatchdogCommandLine (John Ferlan),
  qemu: Introduce qemuBuildSoundCommandLine (John Ferlan),
  hostdev: Add more comments (Andrea Bolognani),
  hostdev: Use consistent variable names (Andrea Bolognani),
  hostdev: Remove virHostdevGetActivePCIHostDeviceList() (Andrea Bolognani),
  schema: support 'default' cache mode (Jim Fehlig),
  hostdev: Rename usesVfio -> usesVFIO (Andrea Bolognani),
  hostdev: Rename hostdev_mgr -> mgr (Andrea Bolognani),
  hostdev: Look up devices using IDs when possible (Andrea Bolognani),
  hostdev: Change argument order for virHostdevReattachPCIDevice() (Andrea Bolognani),
  hostdev: virHostdevIsPCINetDevice() should return a bool (Andrea Bolognani),
  hostdev: Rework resetvfnetconfig loop condition (Andrea Bolognani),
  qemu: Introduce qemuBuildVideoCommandLine (John Ferlan),
  qemu: Introduce qemuBuildInputCommandLine (John Ferlan),
  qemu: Modify qemuBuildTPMCommandLine (John Ferlan),
  qemu: Introduce qemuBuildConsoleCommandLine (John Ferlan),
  qemu: Introduce qemuBuildChannelsCommandLine (John Ferlan),
  qemu: Introduce qemuBuildParallelsCommandLine (John Ferlan),
  qemu: Introduce qemuBuildSerialCommandLine (John Ferlan),
  qemu: Introduce qemuBuildSmartcardCommandLine (John Ferlan),
  gendispatch: Use proper error for limit checking (Martin Kletzander),
  virt-admin: Don't tell everyone needlessly we're connected (Martin Kletzander),
  remote: Generate what's possible (Martin Kletzander),
  gendispatch: Support modern listing of more types (Martin Kletzander),
  gendispatch: Remember the name of snapshot variable name (Martin Kletzander),
  gendispatch: Accept server as an argument (Martin Kletzander),
  admin: Generate ConnectListServers dispatch helpers (Martin Kletzander),
  gendispatch: Be able to generate multi-return values (Martin Kletzander),
  gendispatch: Cluster, don't capture if not needed (Martin Kletzander),
  admin: Be consistent when resetting errors (Martin Kletzander),
  admin: Don't use priority for admin APIs (Martin Kletzander),
  Change virNetDaemonGetServerNames to virNetDaemonGetServers (Martin Kletzander),
  admin: Do not work with virAdm on the server side (Martin Kletzander),
  Expose virNetServerGetName (Martin Kletzander),
  daemon: Set error for unknown server name (Martin Kletzander),
  virerror: Introduce new error type NO_SERVER (Martin Kletzander),
  daemon: Get server name from the server itself (Martin Kletzander),
  server: Store server name in server object (Martin Kletzander),
  admin: Check for flags properly (Martin Kletzander),
  admin: Make virAdmServerFree() handle NULL gracefully (Martin Kletzander),
  qemu: Introduce qemuBuildNetCommandLine (John Ferlan),
  qemu: Introduce qemuBuildFSDevCommandLine (John Ferlan),
  qemu: Introduce qemuBuildDiskDriveCommandLine (John Ferlan),
  qemu: Introduce qemuBuildHubCommandLine (John Ferlan),
  qemu: Introduce qemuBuildControllerDevCommandLine (John Ferlan),
  qemu: Introduce qemuBuildGlobalControllerCommandLine (John Ferlan),
  qemu: Introduce qemuBuildBootCommandLine (John Ferlan),
  qemu: Introduce qemuBuildPMCommandLine (John Ferlan),
  qemu: Introduce qemuBuildClockCommandLine (John Ferlan),
  qemu: enable debug threads (Marc-André Lureau),
  qemu: check for debug-threads capability (Marc-André Lureau),
  libxl_conf: reuse virDomainNetGetActualtype in libxlMakeNicList (Chunyan Liu),
  logging: support truncation of logfiles when opening (Daniel P. Berrange),
  qemu: move functions for handling FD passing (Daniel P. Berrange),
  qemu: don't append -chardev arg until after value is formatted (Daniel P. Berrange),
  qemu: add support for logging chardev output to a file (Daniel P. Berrange),
  conf: allow use of a logfile with chardev backends (Daniel P. Berrange),
  logging: allow inode/offset params to be NULL (Daniel P. Berrange),
  qemu: Refactor bitmap handling in qemuDomainPinVcpuFlags (Peter Krempa),
  qemu: vcpupin: Extract live vcpupin setting into a separate function (Peter Krempa),
  util: virfile: Only setuid for virFileRemove if on NFS (Cole Robinson),
  util: virfile: Clarify setuid usage for virFileRemove (Cole Robinson),
  qemu: add support for offline vcpupin (Peter Krempa),
  conf: extract ignoring of inactive vcpu pinning information (Peter Krempa),
  conf: refactor checking for unsupported memory devices (Peter Krempa),
  conf: introduce parser feature flags (Peter Krempa),
  qemu: Report pinning for all vCPUs in qemuDomainGetVcpuPinInfo (Peter Krempa),
  conf: Extract code filling data for virDomainGetVcpuPinInfo (Peter Krempa),
  virsh: vcpupin: Ask for pinning info for all vCPUs (Peter Krempa),
  qemu: Add support for job completed event (Jiri Denemark),
  Introduce job completed event (Jiri Denemark),
  qemu: Do not report completed stats until the job finishes (Jiri Denemark),
  qemu: Don't explicitly stop CPUs after migration (Jiri Denemark),
  qemu: Properly update completed migration stats (Jiri Denemark),
  qemu: Store completed stats at the very end of migration (Jiri Denemark),
  hostdev: Remove explicit NULL checks (Andrea Bolognani),
  hostdev: Fix indentation (Andrea Bolognani),
  hostdev: Remove inaccurate comment (Andrea Bolognani),
  hostdev: Make comments easier to change later (Andrea Bolognani),
  tests: hostdev: Group test cases (Andrea Bolognani),
  tests: hostdev: Add more checks on list size (Andrea Bolognani),
  tests: hostdev: Use size_t for count variables (Andrea Bolognani),
  tests: hostdev: Move variable declaration inside CHECK_LIST_COUNT() (Andrea Bolognani),
  tests: hostdev: Use better variable names (Andrea Bolognani),
  tests: hostdev: Remove magic numbers (Andrea Bolognani),
  Add secretObjFromSecret (John Ferlan),
  locking: Use bit shift for flag values not constant values. (John Ferlan),
  qemu: improve the error when try to undefine transient network (Shanzhi Yu),
  libxl: reuse virDomainObjUpdateModificationImpact (Nikolay Shirokovskiy),
  lxc: reuse virDomainObjUpdateModificationImpact (Nikolay Shirokovskiy),
  libxl: Use virDomainLiveConfigHelperMethod for libxlDomainSetMemoryFlags (Nikolay Shirokovskiy),
  Drop inline keyword from some functions. (Michal Privoznik),
  Use correct LDFLAGS for leaseshelper (Jiri Denemark),
  util: Cleanup error path for virPolkitAgentCreate (John Ferlan),
  libxl: Remove extraneous AFFECT_LIVE and not active check. (Nikolay Shirokovskiy),
  conf: Combine if condition in virDomainObjUpdateModificationImpact (Nikolay Shirokovskiy),
  qemu: enalbe hotplugging of macvtap device with multiqueue (Shanzhi Yu),
  Fix formatting in remote_protocol-structs (Jiri Denemark),
  Implement handling of per-domain bandwidth settings (Alexander Burluka),
  Implement qemuSetupGlobalCpuCgroup (Alexander Burluka),
  Add global_period and global_quota XML validation test (Alexander Burluka),
  Add error checking on global quota and period (Alexander Burluka),
  Add global quota parameter necessary definitions (Alexander Burluka),
  Add global period definitions (Alexander Burluka),
  vz: implement connection close notification (Nikolay Shirokovskiy),
  daemon: add connection close rpc (Nikolay Shirokovskiy),
  remote: factor out feature checks on connection open (Nikolay Shirokovskiy),
  close callback: move it to driver (Nikolay Shirokovskiy),
  virConnectCloseCallbackDataDispose: remove unnecessary locks (Nikolay Shirokovskiy),
  close callback API: remove unnecessary locks (Nikolay Shirokovskiy),
  virConnectCloseCallbackData: factor out callback disarming (Nikolay Shirokovskiy),
  factor out virConnectCloseCallbackDataPtr methods (Nikolay Shirokovskiy),
  qemu_cgroup: use virCgroupAddTask instead of virCgroupMoveTask (Henning Schild),
  qemu_cgroup: put qemu right into emulator sub-cgroup (Henning Schild),
  qemu: process: Move emulator thread setting code into one function (Peter Krempa),
  qemu: introduce vram64 attribute for QXL video device (Pavel Hrdina),
  qemu_capabilities: introduce QEMU_CAPS_QXL(_VGA)_VRAM64 (Pavel Hrdina),
  docs/formatdomain: rewrite video documentation (Pavel Hrdina),
  domain_conf: always set primary video device as primary (Pavel Hrdina),
  virsh: Add support for text based polkit authentication (John Ferlan),
  util: Introduce API's for Polkit text authentication (John Ferlan),
  polkit: Adjust message when authentication agent isn't found (John Ferlan),
  secret: Rename loadSecrets (John Ferlan),
  secret: Introduce secretAssignDef (John Ferlan),
  secret: Introduce listUnlinkSecret (John Ferlan),
  secret: Create a 'base64File' in virSecretObj (John Ferlan),
  secret: Create a 'configFile' in virSecretObj (John Ferlan),
  secret: Adjust logic to build file path in secretLoad (John Ferlan),
  secret: Rename directory to configDir (John Ferlan),
  secret: Use 'secret' instead of 's' for variable name (John Ferlan),
  secret: Rename virSecretObjPtr 'entry' to 'secret' (John Ferlan),
  secret: Remove local virSecretPtr 'secret' (John Ferlan),
  secret: Rename virSecretEntry (John Ferlan),
  secret: Use virFileRewrite instead of replaceFile (John Ferlan),
  secret: Various formatting cleanups (John Ferlan),
  vircgroup: one central point for adding tasks to cgroups (Henning Schild),
  qemu: Allow setting pinning of emulator/iohtread with automatic placement (Peter Krempa),
  qemu: add spice opengl support (Marc-André Lureau),
  Post-release version bump to 1.3.3 (Michal Privoznik),
  qemu: Shorten per-domain directory names (Martin Kletzander)

### v1.3.2: Mar 01 2016

- Features:
  Various improvements for the Xen libxl driver (Joao Martins and Jim Fehlig),
  virt-admin improvement (Erik Skultety),
  Various improvements for the RDB volumes (Wido den Hollander)
- Documentation:
  docs: mention ZFS on Linux support (Roman Bogorodskiy),
  docs: formatdomain: Document "spice" as a valid value for <graphics type=..> (Richard W.M. Jones),
  docs: Try harder to uninstall (Michal Privoznik),
  tests: Fix typo oaque -> opaque (Andrea Bolognani),
  docs: List possible GIC versions (Andrea Bolognani),
  Spell VMware with a lowercase w (Ján Tomko),
  leaseshelper: move comment about adding IPv6 leases (Ján Tomko)
- Portability:
  build: accomodate selinux 2.5 header API change (Eric Blake),
  rbd: fix 32-bit build (Eric Blake),
  util: Use virBitmapIsBitSet in freebsd impl of virProcessSetAffinity (Peter Krempa),
  domsuspend: Fix warning on mingw build (Andrea Bolognani),
  virportallocatortest: Run on linux only (Michal Privoznik),
  Revert "tests: Don't link mock libraries against libvirt and gnulib" (Andrea Bolognani),
  tests: Don't link mock libraries against libvirt and gnulib (Andrea Bolognani),
  virDomainFormatSchedDef: Initialize @priority (Michal Privoznik),
  Fix '-pie' build with clang (Martin Kletzander),
  include: Handle case when builddir == srcdir (Michal Privoznik),
  tests: avoid realpath in test-lib.sh (Eric Blake),
  includes: Install libvirt-common.h (Michal Privoznik),
  docs: fix generation of docs from VPATH build (Daniel P. Berrange),
  Fix make check with gcc version 5 (Martin Kletzander)
- Bug Fixes:
  storage: Fix error path in storagePoolDefineXML (John Ferlan),
  storage: Fix error path in virStoragePoolObjLoad (John Ferlan),
  qemu: error out on missing machine type in configs (Ján Tomko),
  Revert "Error out on missing machine type in machine configs" (Ján Tomko),
  libxl: unref objects in error paths (Jim Fehlig),
  storage: No need to check ret after VIR_APPEND_ELEMENT (John Ferlan),
  zfs: Resolve RESOURCE_LEAK (John Ferlan),
  netdev: Use virNetDevIsVirtualFunction() properly (Andrea Bolognani),
  Fix bug of attaching redirdev device (Osier Yang),
  libxl: small fix in parsing network (Chunyan Liu),
  qemuBuildCommandLine: Change the condition for -nographics (Michal Privoznik),
  xen: Check return value of virStringReplace (Michal Privoznik),
  vbox: Avoid signed and unsigned comparison (Michal Privoznik),
  qemu_process: mark auto-generated spice ports as reserved (Pavel Hrdina),
  adminDaemonListServers: Don't leak @srv_names array (Michal Privoznik),
  Check for active domain in virDomainObjWait (Jiri Denemark),
  qemu: Avoid calling qemuProcessStop without a job (Jiri Denemark),
  qemu: Process monitor EOF in a job (Jiri Denemark),
  qemu: qemuDomainGetStatsVcpu: Fix output for possible sparse vCPU settings (Peter Krempa),
  qemu: vcpupin: Don't overwrite errors from functions setting pinning (Peter Krempa),
  admin: Fix memory leak in remoteAdminConnectClose (Erik Skultety),
  esx: Avoid using vSphere SessionIsActive function (Matthias Bolte),
  Error out on missing machine type in machine configs (Ján Tomko),
  qemu: cgroup: fix cgroup permission logic (Bjoern Walk),
  virsh: Remove <backingStore> when changing cdrom media source (Peter Krempa),
  vircgroup: Update virCgroupDenyDevicePath stub (Michal Privoznik),
  qemu: cgroup: Avoid reporting errors from inaccessible NFS volumes (Peter Krempa),
  qemu: fix hot unplug of PCI devices with VFIO (Ludovic Beliveau),
  vz: fix race condition when adding domain to domains list (Mikhail Feoktistov),
  vz: fix notification subscription (Mikhail Feoktistov),
  conf: snapshot: Avoid autogenerating duplicate snapshot names (Peter Krempa),
  dbus: Don't unref NULL messages (Michal Privoznik),
  qemu: Connect to guest agent iff needed (Michal Privoznik),
  xenconfig: Properly check retval of virDomainGraphicsListenSetAddress (Michal Privoznik),
  leaseshelper: swap two parameters of virLeaseNew (Ján Tomko),
  vboxDumpDisplay: check return of virDomainGraphicsListenSetAddress (Ján Tomko),
  Check return value of vboxDumpVideo (Ján Tomko),
  qemu: vcpu: Reuse qemuProcessSetupVcpu in vcpu hotplug (Peter Krempa),
  remote: enforce VIR_TYPED_PARAM_STRING_OKAY flag on client side serialization (Joao Martins),
  vircgroup: Update virCgroupGetPercpuStats stump (Michal Privoznik),
  conf: Don't store vcpusched orthogonally to other vcpu info (Peter Krempa),
  qemu: snapshot: Avoid infinite loop if vCPUs can't be resumed (Peter Krempa),
  qemu: snapshot: Don't overwrite existing errors when thawing filesystems (Peter Krempa),
  util: Fix virCgroupNewMachine ATTRIBUTE_NONNULL args (John Ferlan),
  bhyve: Fix the build (Michal Privoznik),
  virSystemdGetMachineNameByPID: Initialize @reply (Michal Privoznik),
  virnetdevbandwidth: Compute quantum value (Michal Privoznik),
  systemd: Modernize machine naming (Martin Kletzander),
  bhyve: fix build (Roman Bogorodskiy),
  Fix build after recent patches (Peter Krempa),
  qemu: qemuDomainRename and virDomainObjListNumOfDomains ABBA deadlock fix (Nikolay Shirokovskiy),
  Revert "systemd: Escape only needed characters for machined" (Martin Kletzander),
  qemu: Don't crash when create fails early (Martin Kletzander),
  virsh: ensure SIGINT action is reset on all errors (Michael Chapman),
  conf: disallow empty cpusets for vcpu pinning when parsing XML (Peter Krempa),
  Fix libvirtd free() segfault when migrating guest with deleted open vswitch port (Jason J. Herne),
  vz: Fix invalid iteration of def->cputune.vcpupin (Peter Krempa),
  qemu: process: Disallow VMs with 0 vcpus (Peter Krempa),
  virt-host-validate: Fix error level for user namespace check (Michal Privoznik),
  virsh: Correctly detect inserted media in change-media command (Michal Privoznik),
  vmx: Adapt to emptyBackingString for cdrom-image (Michal Privoznik),
  qemu: snapshot: Correctly report qemu error on 'savevm' (Peter Krempa),
  lxc: fuse: Stub out Slab bits in /proc/meminfo (Cole Robinson),
  lxc: fuse: Fill in MemAvailable for /proc/meminfo (Cole Robinson),
  qemuDomainReboot: use fakeReboot=true only for acpi mode (Dmitry Andreev),
  build: predictably generate systemtap tapsets (bz 1173641) (Cole Robinson),
  leaseshelper: fix crash when no mac is specified (Ján Tomko),
  virLogManagerDomainReadLogFile: Don't do dummy allocs (Michal Privoznik),
  qemuProcessReadLog: Fix memmove arguments (Michal Privoznik),
  rbd: Set r variable so it can be returned should an error occur (Wido den Hollander)
- Improvements:
  virsh: reject migration with both --live and --offline (Nitesh Konkar),
  tests: add parseFlags to qemuxml2argvtest (Ján Tomko),
  tests: add a test for persistent LXC XML parsing (Ján Tomko),
  testCompareDomXML2XMLFiles: add parseFlags parameter (Ján Tomko),
  openvz: Use virStringSplitCount instead of strtok_r (John Ferlan),
  hostdev: Remove temporary variable when checking for VF (Andrea Bolognani),
  util: Avoid calling closedir(NULL) (Jiri Denemark),
  vircgroupmock: Mock access("/sys/devices/system/cpu/present") (Michal Privoznik),
  libxl: implement virDomainInterfaceStats (Joao Martins),
  libxl: fix bogus indentation from commit fb2bd208 (Jim Fehlig),
  libxl: add support for rbd qdisk (Jim Fehlig),
  xenconfig: support xl<->xml conversion of rbd disk devices (Jim Fehlig),
  xenconfig: produce key=value disk config syntax in xl formatter (Jim Fehlig),
  xenconfig: replace text 'xm' with 'xl' in xlconfigtest (Jim Fehlig),
  hostdev: Minor style adjustments (Andrea Bolognani),
  cmdSaveImageEdit: Prefer VSH_EXCLUSIVE_OPTIONS over by hand check (Michal Privoznik),
  cmdNetworkUpdate: Prefer VSH_EXCLUSIVE_OPTIONS over if-else tree (Michal Privoznik),
  util: TristateBool and TristateSwitch are interchangeable (Marc-André Lureau),
  Miscellaneous for-loop syntax clean-ups (Martin Kletzander),
  qemu: add support for LSI SAS1068 (aka MPT Fusion) SCSI controller (Paolo Bonzini),
  virDomainDefFormatInternal: Drop useless check (Michal Privoznik),
  gic: Introduce VIR_GIC_VERSION_DEFAULT alias (Andrea Bolognani),
  security_selinux: Fix typo in error message (Laurent Bigonville),
  qemu: iothreadpin: Always set affinity when pinning iothread (Peter Krempa),
  qemu: emulatorpin: Always set affinity when pinning emulator thread (Peter Krempa),
  qemu: parse: drop redundant AddImplicitControllers (Cole Robinson),
  qemu: parse: rename qemuCaps->caps (Cole Robinson),
  domain: add implicit controllers from post parse (Cole Robinson),
  qemu: Simplify error handling in qemuProcessReconnect (Jiri Denemark),
  qemu: Start an async job for processGuestPanicEvent (Jiri Denemark),
  qemu: Start job in qemuDomainDestroyFlags early (Jiri Denemark),
  qemu: Introduce qemuProcessBeginStopJob (Jiri Denemark),
  qemu: Pass async job to qemuProcessInit (Jiri Denemark),
  qemu: End nested jobs properly (Jiri Denemark),
  qemu: Export qemuDomainObjBeginNestedJob (Jiri Denemark),
  virsh: cpupin: Extract getter code into a separate function (Peter Krempa),
  qemu: vcpupin: Always set affinity even when cgroups are supported (Peter Krempa),
  virsh: cmdVcpuPin: Simplify handling of API flags (Peter Krempa),
  test: qemuxml2argv: Drop QEMU_CAPS_DEVICE uses (Andrea Bolognani),
  vsh: use virBufferTrim in vshOutputLogFile (Ján Tomko),
  qemu: Introduce qemuBuildMonitorCommandLine (John Ferlan),
  qemu: Introduce qemuBuildSgaCommandLine (John Ferlan),
  qemu: Introduce qemuBuildSmbiosCommandLine (John Ferlan),
  qemu: Introduce qemuBuildNumaCommandLine (John Ferlan),
  qemu: Introduce qemuBuildIOThreadCommandLine (John Ferlan),
  qemu: Rename qemuBuildSmpArgStr to qemuBuildSmpCommandLine (John Ferlan),
  qemu: Introduce qemuBuildMemCommandLine (John Ferlan),
  qemu: Rename qemuBuildCpuArgStr to qemuBuildCpuCommandLine (John Ferlan),
  qemu: Rename qemuBuildMachineArgStr (John Ferlan),
  qemu: Make basic upfront checks before create command (John Ferlan),
  qemu: Remove local emulator (John Ferlan),
  qemu: Kill VIR_WRAPPER_SHELL_PREFIX (Peter Krempa),
  qemu: Move PORT definitions to qemu_conf.c (Cole Robinson),
  tests: Remove unused virtTestClearLineRegex (Cole Robinson),
  tests: lxcconf2xml: Drop XML blanking (Cole Robinson),
  tests: qemuargv2xml: Drop memory XML blanking (Cole Robinson),
  tests: qemuargv2xml: hardcode disk auth usage (Cole Robinson),
  tests: qemuargv2xml: Remove UUID randomness (Cole Robinson),
  tests: qemuargv2xml: Remove unneeded XML blanking (Cole Robinson),
  qemu: Remove unnecessary calculations in qemuDomainSaveMemory (Peter Krempa),
  qemu: monitor: Remove unused qemuMonitorMigrateToFile (Peter Krempa),
  Revert "storageVolCreateXMLFrom: Check if backend knows how to createVol" (Ján Tomko),
  syms: add forgotten virAdmConnectClass symbol (Erik Skultety),
  virt-admin: Introduce cmdSrvList (Erik Skultety),
  admin: Introduce adminDaemonConnectListServers API (Erik Skultety),
  admin: Introduce virAdmServer structure (Erik Skultety),
  admin: Move admin_server.{h,c} to admin.{h,c} (Erik Skultety),
  virnetdaemon: Store servers in a hash table (Erik Skultety),
  util: Refactor virHashForEach so it returns as soon as an iterator fails (Erik Skultety),
  util: Add a return value to void hash iterators (Erik Skultety),
  qemu: cgroup: Setup cgroups for bios/firmware images (Peter Krempa),
  qemu: cgroup: Extract guts of qemuSetupImageCgroupInternal (Peter Krempa),
  qemu: cgroup: Split up qemuSetImageCgroupInternal (Peter Krempa),
  qemu: cgroup: Switch to qemu(Setup|Teardown)ImageCgroup (Peter Krempa),
  util: cgroup: Allow ignoring EACCES in virCgroup(Allow|Deny)DevicePath (Peter Krempa),
  util: cgroup: Drop virCgroup(Allow|Deny)DeviceMajor (Peter Krempa),
  util: cgroup: Instrument virCgroupDenyDevice to handle -1 device number as * (Peter Krempa),
  qemu: migration: Refactor code now that we assume support for fd migration (Peter Krempa),
  qemu: cgroup: Remove abandoned function qemuAddToCgroup (Peter Krempa),
  conf: Use a temporary int variable to store GIC version (Andrea Bolognani),
  qemu: Move qemuDomainNetVLAN (John Ferlan),
  qemu: Move qemuAssign*Alias* API's into their own module (John Ferlan),
  qemu: Move qemuNetworkPrepareDevices (John Ferlan),
  qemu: Move and rename qemuOpenVhostNet (John Ferlan),
  qemu: Move qemuDomain*Address* functions (John Ferlan),
  qemu: Move qemuDomainSupports* functions (John Ferlan),
  qemu: Move qemuNetworkIfaceConnect to qemu_interface.c and rename (John Ferlan),
  qemu: Move qemuPhysIfaceConnect to qemu_interface.c and rename (John Ferlan),
  qemu: Move qemuVirCommandGetDevSet (John Ferlan),
  qemu: Move qemuBuildTPMDevStr (John Ferlan),
  qemu: Move qemuVirCommandGetFDSet (John Ferlan),
  qemu: Move qemuBuildTPMBackendStr (John Ferlan),
  tests: Add more GIC test cases (Andrea Bolognani),
  tests: Reorganize and simplify GIC test cases (Andrea Bolognani),
  qemu: Always enable GIC on ARM virt machines (Andrea Bolognani),
  qemu: Default to GIC v2 (Andrea Bolognani),
  conf: Use virGICVersion enumeration in virDomainDef (Andrea Bolognani),
  schema: List allowed GIC versions (Andrea Bolognani),
  gic: Introduce virGICVersion enumeration (Andrea Bolognani),
  vsh: Replace vshPrint macro with function (Peter Krempa),
  vsh: Simplify bailing out on OOM conditions (Peter Krempa),
  util: clean up and expand 802.1QbX negotiation logging (Laine Stump),
  network: consolidated info log for all network allocate/free operations (Laine Stump),
  network: consolidate connection count updates for device pool (Laine Stump),
  rbd: Use RBD fast-diff for querying actual volume allocation (Wido den Hollander),
  rbd: rbd_diff_iterate2() is available in librbd since 266 (Wido den Hollander),
  rbd: Add volStorageBackendRBDGetFeatures() for internal calls (Wido den Hollander),
  storageVolCreateXMLFrom: Check if backend knows how to createVol (Michal Privoznik),
  storageVolCreateXML: Swap order of two operations (Michal Privoznik),
  virsh: Teach vol-create-as to --print-xml (Michal Privoznik),
  cmdVolCreateAs: Rework to follow usual func pattern (Michal Privoznik),
  vz: remove unused struct field (Mikhail Feoktistov),
  vz: make output arguments in prlsdkGetDomainIds as optional (Mikhail Feoktistov),
  Change maintainers list (Maxim Nestratov),
  tests: Rename virmockdbus -> virdbusmock for consistency (Andrea Bolognani),
  tests: Don't use "lib" prefix for mock libraries (Andrea Bolognani),
  tests: Allow use of close() in mock libraries (Andrea Bolognani),
  tests: Split off the mock part of the port allocator test (Andrea Bolognani),
  conf: snapshot: Refactor virDomainSnapshotDefAssignExternalNames (Peter Krempa),
  conf: snapshot: Extract code to generate default external file names (Peter Krempa),
  conf: snapshot: Rename disksorter to virDomainSnapshotCompareDiskIndex (Peter Krempa),
  tests: Link mock libraries against gnulib and gnulib only (Andrea Bolognani),
  tests: Use plain close() in mock code (Andrea Bolognani),
  virhook: do not save the return value of virBuildPath (Ján Tomko),
  Clean up usage of 'ret' variable (Ján Tomko),
  Prohibit verbose strcat (Ján Tomko),
  vbox: remove more extra spaces (Ján Tomko),
  vbox: remove extra spaces from function headers (Ján Tomko),
  vbox: remove extra spaces from assignments (Ján Tomko),
  vbox: remove extra spaces from variable initializations (Ján Tomko),
  vbox: remove extra spaces from macro definitions (Ján Tomko),
  qemu: Split the command parsing routines into own module (John Ferlan),
  qemu: Check return status for virDomainGraphicsListenSetAddress (John Ferlan),
  qemu: Introduce qemuParseCommandLineVnc (John Ferlan),
  libxl: keepalive messages support (Joao Martins),
  libxl: add p2p migration (Joao Martins),
  tests: qemu: More aarch64 virtio and pci tests (Cole Robinson),
  tests: qemuxml2xml: assign device addresses (Cole Robinson),
  tests: utils: Add PreFormat callback for CompareXML2XML helper (Cole Robinson),
  virStringListLength: Ensure const correctness (Michal Privoznik),
  tests: qemuxml2xml: specify qemuCaps in test cases (Cole Robinson),
  tests: Unconditionally enable QEMU_CAPS_DEVICE (Cole Robinson),
  tests: qemuxml2argv: remove some QEMU_CAPS_DEVICE problem cases (Cole Robinson),
  util: Get rid of virStringListLen() (Martin Kletzander),
  tests: qemuxml2xml: Always use different output file (Cole Robinson),
  vboxDumpDisplay: realign variable initializations (Ján Tomko),
  vboxDumpDisplay: remove suspicious strlen (Ján Tomko),
  vboxDumpDisplay: reuse the keyUtf16 variable (Ján Tomko),
  vboxDumpDisplay: use VIR_APPEND_ELEMENT (Ján Tomko),
  vboxDumpDisplay: clean up VIR_STRDUP usage (Ján Tomko),
  vboxDumpDisplay: fill out the graphics structure earlier (Ján Tomko),
  vboxDumpDisplay: allocate the graphics structure upfront (Ján Tomko),
  vboxDumpDisplay: split out def->graphics allocation (Ján Tomko),
  vboxDumpDisplay: remove extra virReportOOMError (Ján Tomko),
  vboxDumpDisplay: add addDesktop bool (Ján Tomko),
  vboxDumpDisplay: more indentation reducing (Ján Tomko),
  vboxDumpDisplay: reduce indentation level (Ján Tomko),
  leaseshelper: split out virLeaseNew (Ján Tomko),
  qemu: iothread: Reuse qemuProcessSetupIOThread in iothread hotplug (Peter Krempa),
  qemu: iothread: Aggregate code to set IOThread tuning (Peter Krempa),
  qemu: vcpu: Aggregate code to set vCPU tuning (Peter Krempa),
  conf: Fix how iothread scheduler info is stored (Peter Krempa),
  conf: Extract code that formats <cputune> (Peter Krempa),
  conf: remove unused cpu pinning helpers and data structures (Peter Krempa),
  conf: Store cpu pinning data in def->vcpus (Peter Krempa),
  conf: Don't copy def->cpumask into cpu pinning info (Peter Krempa),
  qemu: Reuse qemuDomainDetectVcpuPids in cpu hot(un)plug (Peter Krempa),
  qemu: Differentiate error codes when VM exits in qemuDomainDetectVcpuPids (Peter Krempa),
  cgroup: Prepare for sparse vCPU topologies in virCgroupGetPercpuStats (Peter Krempa),
  conf: Move and optimize disk target duplicity checking (Peter Krempa),
  tests: Integrate startup checks to qemuxml2argvtest (Peter Krempa),
  qemu: process: Extract pre-start checks into a function (Peter Krempa),
  qemu: process: Reorder operations on early VM startup (Peter Krempa),
  qemu: hotplug: Check duplicate disk serial/wwn on hotplug too (Peter Krempa),
  conf: Extract code that checks disk serial/wwn conflict (Peter Krempa),
  qemu: hotplug: Extract common code to qemuDomainAttachDeviceDiskLive (Peter Krempa),
  qemu: hotplug: Use more common 'cleanup' label in qemuDomainAttachDeviceDiskLive (Peter Krempa),
  qemu: hotplug: Break up if/else statement into switch (Peter Krempa),
  qemu: hotplug: Remove unnecessary variable (Peter Krempa),
  qemu: hotplug: Use typecasted switch (Peter Krempa),
  nodedev: stub nodeDeviceSysfsGetPCIRelatedDevCaps (Roman Bogorodskiy),
  bhyve: fix preprocessor indentation (Roman Bogorodskiy),
  tests: qemuargv2xml: separate from qemuxml2argv data (Cole Robinson),
  tests: Run test-wrap-argv with REGENERATE_OUTPUT (Cole Robinson),
  rbd: Use %zu for uint64_t instead of casting to unsigned long long (Wido den Hollander),
  rbd: Code styling cleanup (Wido den Hollander),
  conf: Extract code for parsing thread resource scheduler info (Peter Krempa),
  conf: Add helper to return a bitmap of active iothread ids (Peter Krempa),
  util: bitmap: Introduce bitmap subtraction (Peter Krempa),
  conf: add caps to virDomainSnapshotDefFormat (Joao Martins),
  conf: add caps to virDomainObjFormat/SaveStatus (Daniel P. Berrange),
  qemu migration: factor out setting migration option (Nikolay Shirokovskiy),
  logical: Clarify pieces of lvs regex (John Ferlan),
  libxl: set net device prefix (Joao Martins),
  conf: add caps to virDomainSaveConfig (Joao Martins),
  conf: add caps to virDomainDefFormat* (Joao Martins),
  conf: add prefix in virDomainNetDefParseXML (Joao Martins),
  conf: add net device prefix to capabilities (Joao Martins),
  virsh: display if ZFS storage backend is enabled (Roman Bogorodskiy),
  configure: zfs: enable on Linux (Roman Bogorodskiy),
  storage: zfs: flexible use of 'volmode' option (Roman Bogorodskiy),
  util: Export remoteSerializeTypedParameters internally via util (Erik Skultety),
  util: Export remoteFreeTypedParameters internally via util (Erik Skultety),
  util: Export remoteDeserializeTypedParameters internally via util (Erik Skultety),
  util: Introduce virTypedParameterRemote datatype (Erik Skultety),
  systemd: Add virSystemdGetMachineNameByPID (Martin Kletzander),
  Simplify virDomainParseMemory (Ján Tomko),
  conf: Split out logic to determine whether cpupin was provided (Peter Krempa),
  qemu: domain: Prepare qemuDomainDetectVcpuPids for reuse (Peter Krempa),
  qemu: Move and rename qemuProcessDetectVcpuPIDs to qemuDomainDetectVcpuPids (Peter Krempa),
  qemu: cpu hotplug: Set vcpu state directly in the new structure (Peter Krempa),
  conf: Add helper to retrieve bitmap of active vcpus for a definition (Peter Krempa),
  cgroup: Clean up virCgroupGetPercpuStats (Peter Krempa),
  cfg.mk: Adjust sc_prohibit_int_ijk to support 'exempt from syntax-check' (Erik Skultety),
  qemuDomainResume: allow to resume domain with guest panicked (Dmitry Andreev),
  qemu: return -1 on error paths in qemuDomainSaveImageStartVM (Nikolay Shirokovskiy),
  logical: Clean up allocation when building regex on the fly (John Ferlan),
  logical: Use 'stripes' value for mirror/raid segtype (John Ferlan),
  logical: Use VIR_APPEND_ELEMENT instead of VIR_REALLOC_N (John Ferlan),
  virsh: improve waiting for block job readiness (Michael Chapman),
  virsh: be consistent with style of loop exit (Michael Chapman),
  virsh: avoid unnecessary progress updates (Michael Chapman),
  qemu: Mark some functions as static (Cole Robinson),
  fdstream: Realign (Michal Privoznik),
  qemu: Align dump options for watchdog and on_crash events (Boris Fiuczynski),
  logical: Create helper virStorageBackendLogicalParseVolExtents (John Ferlan),
  rbd: Open in Read-Only mode when refreshing a volume (Wido den Hollander),
  rbd: Implement buildVolFrom using RBD cloning (Wido den Hollander),
  rbd: Add support for wiping RBD volumes using TRIM. (Wido den Hollander),
  storage: Add TRIM algorithm to storage volume API (Wido den Hollander),
  rbd: Add support for wiping RBD volumes (Wido den Hollander),
  storage: Adjust fix virStorageBackendVolWipeLocal switch (Wido den Hollander),
  logical: Fix comment examples for virStorageBackendLogicalFindLVs (John Ferlan),
  pci: Use bool return type for some virPCIDeviceGet*() functions (Andrea Bolognani),
  gendispatch: Don't output spaces on empty line (Michal Privoznik),
  pci: Add debug messages when unbinding from stub driver (Andrea Bolognani),
  pci: Phase out virPCIDeviceReattachInit() (Andrea Bolognani),
  qemu: don't iterate vcpus using priv->nvcpupids in qemuProcessSetSchedParams (Peter Krempa),
  conf: disallow empty cpuset for emulatorpin (Peter Krempa),
  qemu: Don't use priv->ncpus to iterate cgroup setting (Peter Krempa),
  virnetdevopenvswitch: Don't call strlen() twice on the same string (Andrea Bolognani),
  virnetdevmacvlan: Provide stubs for build without macvtap (Michal Privoznik),
  util: keep/use a bitmap of in-use macvtap devices (Laine Stump),
  util: increase libnl buffer size (Leno Hou),
  device: cleanup input device code (Pavel Hrdina),
  tests: add some missing tests to qemuxml2xmltest (Pavel Hrdina),
  tests: use virtTestDifferenceFull in tests where we have output file (Pavel Hrdina),
  vircgroup: Finish renaming of virCgroupIsolateMount (Michal Privoznik),
  lxc: don't try to hide parent cgroups inside container (Daniel P. Berrange),
  qemu: add reporting of vCPU wait time (Daniel P. Berrange),
  virsh: fix cpu-stats command output format issue (Luyao Huang),
  util: buffer: Sanitize comment for virBufferAddBuffer (Peter Krempa),
  test: Touch up error message when attempting to pin invalid vCPU (Peter Krempa),
  tests: qemuxml2xml: Order pinning information numerically (Peter Krempa),
  virsh: cpu-stats: Remove unneeded flags (Peter Krempa),
  virsh: cpu-stats: Extract common printing code into a function (Peter Krempa),
  (qemu|lxc)DomainGetCPUStats: Clean up (Peter Krempa),
  qemu: process: refactor and rename qemuValidateCpuMax to qemuValidateCpuCount (Peter Krempa),
  virt-host-validate: Check those CGroups that we actually use (Michal Privoznik),
  qemu: monitor: Refactor error handling for 'savevm' (Peter Krempa),
  bhyve: bhyveload: respect boot dev and boot order (Roman Bogorodskiy),
  conf: expose virDomainBootType(From|To)String (Roman Bogorodskiy),
  util: reset MAC address of macvtap passthrough physdev after disassociate (Laine Stump),
  lxc: fuse: Fix /proc/meminfo size calculation (Cole Robinson),
  lxc: fuse: Unindent meminfo logic (Cole Robinson),
  libxl: Support cmdline= in xl config files (Ian Campbell),
  libxl: dispose libxl_dominfo after libxl_domain_info() (Joao Martins),
  Xen: add XENXL to virErrorDomain enum (Jim Fehlig),
  Xen: VIR_FROM_THIS cleanup (Jim Fehlig),
  qemu: Add support for migration iteration event (Jiri Denemark),
  Introduce migration iteration event (Jiri Denemark),
  virsh: Don't fetch status for all domains in cmdList (Michal Privoznik),
  docs: fix syntax-check long line error (Cole Robinson),
  leaseshelper: reduce indentation level in virLeaseReadCustomLeaseFile (Ján Tomko),
  leaseshelper: remove useless comparison (Ján Tomko),
  leaseshelper: split out virLeasePrintLeases (Ján Tomko),
  leaseshelper: split out custom leases file read (Ján Tomko),
  leaseshelper: store server_duid as an allocated string (Ján Tomko),
  storage: Add new flag for libvirt_parthelper (John Ferlan),
  conf: Add storage pool device attribute part_separator (John Ferlan),
  qemuTestDriverInit: fill driver with zeroes (Michal Privoznik),
  Post-release version bump to 1.3.2 (Michal Privoznik),
  NEWS: Don't prefix version numbers with 'v' (Andrea Bolognani),
  NEWS: Fix whitespace issues (Andrea Bolognani),
  NEWS: Move 2015 entries to a separate file (Andrea Bolognani)

### 1.3.1: Jan 17 2016

- Features:
  Various improvements for the Xen libxl driver (Jim Fehlig),
  rbd: Add support for wiping and cloning images to storage driver (Wido den Hollander),
  PCI hostdev improvements and fixes (Andrea Bolognani)
- Security:
  CVE-2015-5313: storage: don't allow '/' in filesystem volume names (Eric Blake)
- Documentation:
  virsh: Update description of lxc-enter-namespace (Guido Günther),
  virsh: Document the --timestamp option (Andrea Bolognani),
  docs: update to properly reflect meaning of fields in log filter (Laine Stump),
  virStorageVolWipe: Document that wiping journaled FS is useless (Michal Privoznik),
  storage: Add comments for backend APIs (John Ferlan)
- Portability:
  build: fix distdir with wireshark disabled (Cole Robinson),
  wireshark: Install into DESTDIR (Michal Privoznik),
  cgroup: don't include sys/mount.h if not needed (Jasper Lievisse Adriaanse),
  tools: Disable virt-login-shell on mingw (Michal Privoznik),
  sysconf: Include unistd.h (Michal Privoznik),
  Allow building lxc without virt-login-shell (Cédric Bosdonnat),
  build: disable vbox on cygwin (Eric Blake),
  virNetDevMacVLanTapSetup: Work around older systems (Michal Privoznik)
- Bug Fixes:
  security: Do not restore labels on device tree binary (Jiri Denemark),
  security: Do not restore kernel and initrd labels (Jiri Denemark),
  cgroup: Fix possible bug as a result of code motion for vcpu cgroup setup (John Ferlan),
  Revert "lxc_cgroup: Add check for NULL cgroup before AddTask call" (John Ferlan),
  Revert "util: cgroups do not implicitly add task to new machine cgroup" (John Ferlan),
  Revert "qemu: do not put a task into machine cgroup" (John Ferlan),
  virt-aa-helper: don't deny writes to readonly mounts (Cédric Bosdonnat),
  conf: Initialize 'deflate' for balloon parse XML (John Ferlan),
  wireshark: Drop DESTDIR from install path (Michal Privoznik),
  qemuProcessCleanupChardevDevice: Don't unlink NULL paths (Michal Privoznik),
  xenconfig: check return value of regcomp (Jim Fehlig),
  Xen: use correct domctl version in domaininfolist union (Jim Fehlig),
  testutils: Fix coverity warning with REGENERATE_OUTPUT (Cole Robinson),
  rpc: socket: Don't repeatedly attempt to launch daemon (Cole Robinson),
  rpc: socket: Explicitly error if we exceed retry count (Cole Robinson),
  rpc: Don't rewrite msg->fds on every read dispatch (Ben Gray),
  util: eliminate bogus error log in virNetDevVPortProfileGetStatus (Laine Stump),
  qemu: Set virtio channel state sooner (Michal Privoznik),
  virDomainGetTime: Deny on RO connections (Michal Privoznik),
  virDomainInterfaceAddresses: Allow API on RO connection too (Michal Privoznik),
  Don't clear libvirt-internal paths when parsing status XML (Martin Kletzander),
  virDomainMigrateUnmanagedParams: Don't blindly dereference @dconnuri (Michal Privoznik),
  Fix USB model defaults for ppc64 (Martin Kletzander),
  Avoid wild securityManager pointer in tests (Martin Kletzander),
  tests: Fix running schematests directly from topdir (Cole Robinson),
  qemu: Fix crash when defining XML with bogus emulator (Cole Robinson),
  tests.nwfilterebiptablestest: swap actual and expected (Pavel Hrdina),
  qemu: Fix NBD migration with default listenAddress (Jiri Denemark),
  virLogVMessage: Don't leak rawinitmsg (Michal Privoznik),
  virLogHostnameString: Don't leak hostname (Michal Privoznik),
  virsh: Interrupt *event --loop on disconnect (Jiri Denemark),
  virsh: Pass ctl to virshCatchDisconnect (Jiri Denemark),
  qemu: Don't bother user with libvirt-internal paths (Martin Kletzander),
  rbd: Do not append Ceph monitor port number 6789 if not provided (Wido den Hollander),
  rbd: Do not error out on a single image during pool refresh (Wido den Hollander),
  rbd: Only close RBD image if it has been opened (Wido den Hollander),
  fix LSB part of virtlogd runlevel script (Olaf Hering),
  virtlogd: fix lock file path in initscript (Michael Chapman),
  spec: chkconfig(8) and service(8) are in /sbin/, not /bin/ (Michael Chapman),
  spec: dbus-devel is needed as build dependency if polkit support is enabled (Michael Chapman),
  storage: Clean up error path for create buildPool failure (John Ferlan),
  libvirt-domain: fix dxml passing in virDomainMigrateToURI2 (Ján Tomko),
  schema: interleave domain name and uuid with other elements (Ján Tomko),
  qemu: Fix return value of qemuDomainGetBlockJobInfo (Michal Privoznik),
  storage: do not leak storage pool XML filename (Michael Chapman),
  qemu: do not leak NBD disk data in migration cookie (Michael Chapman),
  qemu: do not copy out non-existent block job info (Michael Chapman),
  vz: BUG: fix connecting hang in case of init failure (Maxim Nestratov),
  storage: Fix startup issue for logical pool (John Ferlan),
  qemu: Fix event generated for qemuDomainRevertToSnapshot (pause->run) (John Ferlan),
  storage: Check FS pool source during virStorageBackendFileSystemIsMounted (John Ferlan),
  qemuMonitorJSONEjectMedia: Don't leak stringified reply (Michal Privoznik),
  virNetDevMacVLanTapSetup: Drop @multiqueue argument (Michal Privoznik),
  qemu: Warn when using vhost-user without shared memory (Martin Kletzander),
  storage: Ignore block devices that fail format detection (John Ferlan),
  storage: Set ret = -1 on failures in virStorageBackendUpdateVolTargetInfo (John Ferlan),
  qemu: cgroup: Don't use priv->ncpupids to iterate domain vCPUs (Peter Krempa),
  qemu: cpu hotplug: Fix error handling logic (Peter Krempa),
  qemu: qemuDomainSetVcpusAgent: re-check agent before calling it the again (Peter Krempa),
  libxl: copy persistent domain definition while starting a guest (Pavel Hrdina),
  xen: fix timer bug found by updated test (Pavel Hrdina)
- Improvements:
  qemu: Print better warning in qemuAgentNotifyEvent (Yaniv Kaul),
  build: Kill tools/wireshark Makefiles (Cole Robinson),
  Expand $(wildcard) correctly (Michal Privoznik),
  qemu: add support of optional 'autodeflate' attribute (Dmitry Andreev),
  qemu: add capability check for memballoon 'deflate-on-oom' feature (Dmitry Andreev),
  conf: introduce 'autodeflate' attribute for memballoon device (Dmitry Andreev),
  rpc: socket: Minor cleanups (Cole Robinson),
  Add missing virxdrdefs.h include to log_protocol (Roman Bogorodskiy),
  virsh: Fix alignment in VIRSH_COMMON_OPT_CONFIG definition (Andrea Bolognani),
  virsh: Create macro for common "interface" option (John Ferlan),
  virsh: Create macro for common "network" option (John Ferlan),
  virsh: Create macros for common "vol" options (John Ferlan),
  virsh: Create macro for common "file" option (John Ferlan),
  virsh: Create macro for common "current" option (John Ferlan),
  virsh: Create macro for common "live" option (John Ferlan),
  virsh: Create macro for common "config" option (John Ferlan),
  virsh: Create macro for common "persistent" option (John Ferlan),
  virsh: Create macro for common "domain" option (John Ferlan),
  virsh: Adjustments for the VIRSH_COMMON_OPT_POOL (John Ferlan),
  virsh: Convert VSH_POOL_ macro to VIRSH_COMMON_OPT_ (John Ferlan),
  qemu: use enum when setting PCI "multi" value, not 0 or 1 (Laine Stump),
  qemu: auto-add a USB2 controller set for Q35 machines (Laine Stump),
  qemu: define virDomainDevAddUSBController() (Laine Stump),
  conf: add virDomainDefAddController() (Laine Stump),
  qemu: prefer 00:1D.x and 00:1A.x for USB2 controllers on Q35 (Laine Stump),
  qemu: don't assume slot 0 is unused/reserved. (Laine Stump),
  Unify int types handling in protocol files (Jasper Lievisse Adriaanse),
  Use struct sockpeercred when available (Jasper Lievisse Adriaanse),
  build: Kill docs/schemas/Makefile.am (Cole Robinson),
  build: Kill include/libvirt/Makefile.am (Cole Robinson),
  wireshark: Fix header of get_message_len() (Michal Privoznik),
  wireshark: Replace WIRESHARK_COMPAT with actual version comparison (Michal Privoznik),
  wireshark: s/tvb_length/tvb_captured_length/ (Michal Privoznik),
  wireshark: s/ep_alloc/wmem_alloc/ (Michal Privoznik),
  wireshark: s/proto_tree_add_text/proto_tree_add_item/ (Michal Privoznik),
  qemu: Introduce QEMU_CAPS_VSERPORT_CHANGE (Michal Privoznik),
  qemu: change qemuFindAgentConfig return type (Michal Privoznik),
  Fix LSB requirements in service script and sync them (Martin Kletzander),
  virsh: Add timestamps to network events (Andrea Bolognani),
  virsh: Add timestamps to QEMU monitor events (Andrea Bolognani),
  Provide parse flags to PostParse functions (Martin Kletzander),
  qemu: command: wire up usage of q35/ich9 disable s3/s4 (Cole Robinson),
  qemu: caps: check for q35/ICH9 disable S3/S4 (Cole Robinson),
  qemu: caps: Rename CAPS_DISABLE_S[34] to CAPS_PIIX_DISABLE_S[34] (Cole Robinson),
  qemu: capabilities: s/Pixx/Piix/g (Cole Robinson),
  examples: Use one top level makefile (Cole Robinson),
  cfg.mk: Drop period after filename for indent failures (Cole Robinson),
  virt-host-validate-common: Print warning on missing IOMMU (Michal Privoznik),
  tests: qemuxml2xml: Wire up QEMUCaps usage (Cole Robinson),
  tests: add genericxml2xmltest (Cole Robinson),
  tests: qemuxml2xml: drop early file loading (Cole Robinson),
  tests: Share domain XML2XML compare helper (Cole Robinson),
  tests: Add newlines with VIR_TEST_REGENERATE_OUTPUT (Cole Robinson),
  libxl: support vif outgoing bandwidth QoS (Jim Fehlig),
  xenconfig: support vif bandwidth in xm and xl parser and formatter (Jim Fehlig),
  xenconfig: support vif bandwidth in sexpr parser and formatter (Jim Fehlig),
  util: add missing newline (Laine Stump),
  tests: qemuxml2argv: Add tests for USB controller on q35 (Andrea Bolognani),
  tests: qemuxml2xml: Convert fprintf to VIR_TEST_DEBUG (Cole Robinson),
  qemu: Handle SecurityManagerVerify in post parse (Cole Robinson),
  qemu: Handle CanonicalizeMachine in post parse (Cole Robinson),
  qemu: domain: split out post parse default device handling (Cole Robinson),
  domain: separate out function for post parse timer validation (Cole Robinson),
  domain: separate out function for post parse console compat (Cole Robinson),
  qemu: Refactor qemuMigrationFinish (Jiri Denemark),
  qemu: Report more migration statistics (Jiri Denemark),
  qemu: Create a proper type for migration status enum (Jiri Denemark),
  qemu: Rename qemuMonitorMigrationStatus struct (Jiri Denemark),
  qemu: Reorder migration status enum (Jiri Denemark),
  tests.testutils: use virTestDifferenceFull in virtTestCompareToFile (Pavel Hrdina),
  tests.testutils: use VIR_TEST_REGENERATE_OUTPUT for virTestDifferenceFull (Pavel Hrdina),
  tests: add helper for VIR_TEST_REGENERATE_OUTPUT flag (Pavel Hrdina),
  xen: move virDomainDefPostParse to xenParseSxpr (Pavel Hrdina),
  Remove non-breaking space in comment (Martin Kletzander),
  virsh: Add timestamps to events (Jiri Denemark),
  virsh: Refactor event printing (Jiri Denemark),
  pci: Log debug messages when manipulating the inactive list (Andrea Bolognani),
  qemu: Add debug message to spice migration (Jiri Denemark),
  qemu: snapshot: Skip 'transaction' command when no disks are selected (Peter Krempa),
  qemu: Specify format= iff disk source is not empty (Michal Privoznik),
  conf: Rework code around 'append' attribute (Dmitry Mishin),
  Use tristate constants for new 'append' field (Dmitry Mishin),
  docs: Describe new 'append' attribute for chardevs source (Dmitry Mishin),
  Fix formatting for virDomainGetCPUStats docstring (Martin Kletzander),
  maint: update to latest gnulib (Eric Blake),
  util: reduce debug log in virPCIGetVirtualFunctions() (Laine Stump),
  util: improve error reporting in virNetDevVPortProfileGetStatus (Laine Stump),
  util: report the MAC address that couldn't be set (Laine Stump),
  rbd: Return VIR_STORAGE_FILE_RAW as format for RBD volumes (Wido den Hollander),
  tests: Make test-wrap-argv.pl executable (Michal Privoznik),
  tools: Include PIE_LDFLAGS at the correct place (Michal Privoznik),
  qemu: Process new 'append' attribute for char dev with output to a file (Dmitry Mishin),
  conf: Add new 'append' attribute for chardevs with file source (Dmitry Mishin),
  tests: add qemu 2.6 caps test (Dmitry Mishin),
  vz: support additional flags in domain undefine (Maxim Nestratov),
  vz: move prlsdkCleanupBridgedNet after domain deletion (Maxim Nestratov),
  vz: delete domains when undefine is called (Maxim Nestratov),
  hostdev: Emit debug messages while handling PCI hostdevs (Andrea Bolognani),
  hostdev: Only rollback detach of managed devices on error (Andrea Bolognani),
  hostdev: Mark PCI devices as inactive as they're detached (Andrea Bolognani),
  pci: Introduce virPCIStubDriver enumeration (Andrea Bolognani),
  pci: Remove 'reprobe' parameter from virPCIDeviceUnbind() (Andrea Bolognani),
  pci: Remove redundant parameter from virPCIDeviceBindToStub() (Andrea Bolognani),
  Revert "admin: Rename virAdmConnect to virAdmDaemon" (Erik Skultety),
  Xen: support maxvcpus in xm and xl config (Jim Fehlig),
  virsh: Add --delete-snapshots flag for undefine and vol-delete (John Ferlan),
  libvirt: Add virStorageVolDeleteFlags to virStorageVolDelete (John Ferlan),
  storage: Add virCheckFlags to virStorageBackendRBDDeleteVol (John Ferlan),
  lxc_cgroup: Add check for NULL cgroup before AddTask call (John Ferlan),
  Xen: remove xendConfigVersion from driver private struct (Jim Fehlig),
  Xen: xenconfig: remove xendConfigVersion from public sexpr functions (Jim Fehlig),
  Xen: xend: remove use of XEND_CONFIG_VERSION (Jim Fehlig),
  Xen: xen_driver: remove use of XEND_CONFIG_VERSION (Jim Fehlig),
  Xen: xenconfig: remove use of XEND_CONFIG_VERSION in xen_sxpr (Jim Fehlig),
  Xen: tests: use latest XEND_CONFIG_VERSION in xml2sexpr tests (Jim Fehlig),
  Xen: xenconfig: remove disks from '(image)' sexpr (Jim Fehlig),
  Xen: tests: use latest XEND_CONFIG_VERSION in sexpr2xml tests (Jim Fehlig),
  Xen: xenconfig: remove xendConfigVersion from public functions (Jim Fehlig),
  Xen: xenconfig: remove use of XEND_CONFIG_VERSION in xen_xm (Jim Fehlig),
  Xen: xenconfig: remove XEND_CONFIG_VERSION in common code (Jim Fehlig),
  Xen: tests: use latest XEND_CONFIG_VERSION in xm/xl tests (Jim Fehlig),
  Xen: tests: remove old xml2sexpr tests (Jim Fehlig),
  Xen: tests: remove old sexpr2xml tests (Jim Fehlig),
  Xen: tests: remove net-ioemu xm config test (Jim Fehlig),
  Xen: tests: remove old xm config tests (Jim Fehlig),
  virsh: Add build flags to pool-create[-as] and pool-start (John Ferlan),
  virsh: Create a macro for pool-define-as and pool-create-as options (John Ferlan),
  virsh: Create macro for "overwrite" and no-overwrite" options (John Ferlan),
  virsh: Create macro for "file" option (John Ferlan),
  virsh: Create macro for "pool" option (John Ferlan),
  storage: Add flags to allow building pool during create processing (John Ferlan),
  mark virDomainVirtioSerialAddrSetAddController as static. (Ján Tomko),
  Remove dead code from qemuDomainAttachControllerDevice (Ján Tomko),
  qemu_hotplug: remove qemuDomainAttachDeviceControllerLive (Ján Tomko),
  storage: Attempt to refresh volume after successful wipe volume (John Ferlan),
  virStorageBackendWipeLocal: remove bytes_wiped argument (Ján Tomko),
  storage: drop 'Extent' from virStorageBackendWipeExtentLocal (Ján Tomko),
  storage: move buffer allocation inside virStorageBackendWipeExtentLocal (Ján Tomko),
  storage: fix return values of virStorageBackendWipeExtentLocal (Ján Tomko),
  qemu: Replace Mlock with MemLock in function names (Andrea Bolognani),
  qemu: Allow qemuDomainAdjustMaxMemLock() to restore previous value (Andrea Bolognani),
  qemu: Reduce memlock limit after detaching PCI hostdev (Andrea Bolognani),
  qemu: Use qemuDomainAdjustMaxMemLock() (Andrea Bolognani),
  qemu: Add qemuDomainAdjustMaxMemLock() (Andrea Bolognani),
  process: Add virProcessGetMaxMemLock() (Andrea Bolognani),
  process: Allow virProcessPrLimit() to get current limit (Andrea Bolognani),
  qemu: Search all nodes for shared memory access (Martin Kletzander),
  pci: Use virPCIDeviceAddress in virPCIDevice (Andrea Bolognani),
  libxl: Use libxentoollog in preference to libxenctrl if available. (Ian Campbell),
  libxl: implement virDomainGetJobStats (Joao Martins),
  libxl: implement virDomainGetJobInfo (Joao Martins),
  storage: Add helper to compare logical pool def against pvs output (John Ferlan),
  storage: Create helper for virStorageBackendLogicalFindPoolSources (John Ferlan),
  storage: Refactor virStorageBackendFileSystemGetPoolSource (John Ferlan),
  storage: Create helper to generate FS pool source value (John Ferlan),
  qemu: add bootindex option to hostdev network interface commandline (Laine Stump),
  security_stack: remove extra Security from function names (Ján Tomko),
  security_selinux: remove extra Security from function names (Ján Tomko),
  security_dac: remove extra Security from function names (Ján Tomko),
  qemuMonitorJSONEjectMedia: don't stringify the replay at all (Pavel Hrdina),
  pci: Use 'addr' instead of 'dev' for virPCIDeviceAddressPtr (Andrea Bolognani),
  qemu cgroups: move new threads to new cgroup after cpuset is set up (Henning Schild),
  qemu: do not put a task into machine cgroup (Henning Schild),
  util: cgroups do not implicitly add task to new machine cgroup (Henning Schild),
  util: Fixup virnetdevmacvlan.h ATTRIBUTE_NONNULL's (John Ferlan),
  test: qemuxml2argv: Mock virMemoryMaxValue to remove 32/64 bit difference (Peter Krempa),
  qemu: Enable multiqueue for macvtaps (Michal Privoznik),
  virNetDevMacVLanCreateWithVPortProfile: Rework to support multiple FDs (Michal Privoznik),
  virNetDevMacVLanTapSetup: Allow enabling of IFF_MULTI_QUEUE (Michal Privoznik),
  virNetDevMacVLanTapSetup: Rework to support multiple FDs (Michal Privoznik),
  virNetDevMacVLanTapOpen: Rework to support multiple FDs (Michal Privoznik),
  virNetDevMacVLanTapOpen: Slightly rework (Michal Privoznik),
  virNetDevMacVLanCreateWithVPortProfile: Turn vnet_hdr into flag (Michal Privoznik),
  log: include hostname in initial log message (Daniel P. Berrange),
  storage: Add debug message (John Ferlan),
  storage: Handle readflags errors (John Ferlan),
  storage: Add readflags for backend error processing (John Ferlan),
  tests: scsihost: Use fakerootdir instead of fakesysfsdir (Andrea Bolognani),
  tests: Use more specific names for variables (Andrea Bolognani),
  tests: Rename LIBVIRT_FAKE_SYSFS_DIR to LIBVIRT_FAKE_ROOT_DIR (Andrea Bolognani),
  tests: cgroupmock: Use the temporary directory as fake root (Andrea Bolognani),
  tests: pcimock: Use the temporary directory as fake root (Andrea Bolognani),
  tests: pcimock: Remove check for fakesysfsdir (Andrea Bolognani),
  tests: scsihost: Don't set LIBVIRT_FAKE_SYSFS_DIR (Andrea Bolognani),
  qemu: driver: Refactor qemuDomainHelperGetVcpus (Peter Krempa),
  qemu: Add helper to retrieve vCPU pid (Peter Krempa),
  qemu: Replace checking for vcpu<->pid mapping availability with a helper (Peter Krempa),
  qemu: Drop checking vcpu threads in emulator bandwidth getter/setter (Peter Krempa),
  qemu: cgroup: Remove now unreachable check (Peter Krempa),
  conf: Add helper to get pointer to a certain vCPU definition (Peter Krempa),
  conf: ABI: Split up and improve vcpu info ABI checking (Peter Krempa),
  conf: turn def->vcpus into a structure (Peter Krempa),
  qemu: refactor qemuDomainHotunplugVcpus (Peter Krempa),
  qemu: Refactor qemuDomainHotplugVcpus (Peter Krempa),
  qemu: cpu hotplug: Move loops to qemuDomainSetVcpusFlags (Peter Krempa),
  qemu: monitor: Remove weird return values from qemuMonitorSetCPU (Peter Krempa),
  qemu: Split up vCPU hotplug and hotunplug (Peter Krempa),
  qemu: Extract vCPU onlining/offlining via agent into a separate function (Peter Krempa),
  qemu: domain: Add helper to access vm->privateData->agent (Peter Krempa),
  conf: Turn def->maxvcpus into size_t (Peter Krempa),
  conf: Replace read accesses to def->vcpus with accessor (Peter Krempa),
  conf: Move vcpu count check into helper (Peter Krempa),
  conf: Replace writes to def->vcpus with accessor (Peter Krempa),
  conf: Replace read access to def->maxvcpus with accessor (Peter Krempa),
  conf: Add helper to check whether domain has offline vCPUs (Peter Krempa),
  conf: Extract update of vcpu count if maxvcpus is decreased (Peter Krempa),
  conf: Use local copy of maxvcpus in virDomainVcpuParse (Peter Krempa),
  conf: Replace writes to def->maxvcpus with accessor (Peter Krempa),
  xen: use virDomainDefPostParse for parsing XM/XL/SEXPR cofings (Pavel Hrdina),
  lxc: use virDomainDefPostParse for parsing LXC config string (Pavel Hrdina),
  vmware/vmx: use virDomainDefPostParse after parsing vmx config (Pavel Hrdina),
  virsh: rename vshCommandOptString to vshCommandOptStringQuiet (Ján Tomko),
  security_selinux: fix indentation (Ján Tomko),
  security_dac: check if virSecurityDACGetIds returns negative (Ján Tomko),